
######
# Begin autogenerated taccle (version 1.3) routines.
# Although taccle itself is protected by the GNU Public License (GPL)
# all user-supplied functions are protected by their respective
# author's license.  See http://mini.net/tcl/taccle for other details.
######

namespace eval contour {
    variable yylval {}
    variable table
    variable rules
    variable token {}
    variable yycnt 0
    variable yyerr 0
    variable save_state 0

    namespace export yylex
}

proc contour::YYABORT {} {
    return -code return 1
}

proc contour::YYACCEPT {} {
    return -code return 0
}

proc contour::YYERROR {} {
    variable yyerr
    set yyerr 1
}

proc contour::yyclearin {} {
    variable token
    variable yycnt
    set token {}
    incr yycnt -1
}

proc contour::yyerror {s} {
    puts stderr $s
}

proc contour::setupvalues {stack pointer numsyms} {
    upvar 1 1 y
    set y {}
    for {set i 1} {$i <= $numsyms} {incr i} {
        upvar 1 $i y
        set y [lindex $stack $pointer]
        incr pointer
    }
}

proc contour::unsetupvalues {numsyms} {
    for {set i 1} {$i <= $numsyms} {incr i} {
        upvar 1 $i y
        unset y
    }
}

array set contour::table {
  61:299,target 13
  137:261,target 5
  76:294,target 28
  21:301 shift
  0:327,target 22
  122:0,target 103
  15:345 goto
  48:0 reduce
  130:303,target 86
  129:303,target 84
  98:342,target 127
  9:303 shift
  25:303,target 101
  71:303,target 23
  91:0 reduce
  64:0,target 16
  144:262,target 6
  83:295,target 35
  23:284,target 77
  98:300,target 93
  98:290,target 83
  98:289,target 82
  33:0,target 62
  136:341 goto
  20:302,target 37
  95:297,target 90
  142:303 reduce
  5:303,target 4
  62:299,target 14
  77:294,target 29
  86:300 reduce
  147:257 shift
  112:303 reduce
  147:258 shift
  147:260 shift
  147:259 shift
  86:303 reduce
  147:261 shift
  86:294 reduce
  147:262 shift
  86:295 reduce
  86:296 reduce
  107:0 reduce
  86:297 reduce
  150:0,target 78
  149:0,target 77
  86:298 reduce
  56:303 reduce
  63:0 reduce
  86:299 reduce
  72:303,target 24
  150:0 reduce
  149:0 reduce
  84:295,target 36
  26:304 shift
  39:278,target 71
  92:0,target 44
  6:303,target 7
  98:264,target 57
  63:299,target 15
  139:261,target 5
  78:294,target 30
  26:315 shift
  61:0,target 13
  26:318 shift
  15:301,target 36
  30:0,target 51
  142:341 goto
  26:322 shift
  35:0 reduce
  147:303 reduce
  73:303,target 25
  122:0 reduce
  77:0 reduce
  26:329 shift
  117:303 reduce
  39:295,target 88
  85:295,target 37
  19:335,target 47
  92:303 reduce
  26:334 shift
  62:300 reduce
  26:336 shift
  26:337 shift
  146:0,target 89
  23:275,target 68
  62:303 reduce
  98:281,target 74
  62:294 reduce
  7:303,target 54
  62:295 reduce
  62:296 reduce
  64:299,target 16
  141:261,target 5
  115:0,target 63
  80:294,target 32
  79:294,target 31
  62:297 reduce
  32:303 reduce
  62:298 reduce
  62:299 reduce
  0:335,target 28
  26:336,target 108
  88:0,target 40
  23:344,target 96
  26:353 goto
  74:303,target 26
  49:0 reduce
  50:0 reduce
  19:352,target 48
  57:0,target 9
  147:262,target 6
  86:295,target 38
  136:0 reduce
  92:0 reduce
  147:341 goto
  23:292,target 85
  98:297,target 90
  153:303 reduce
  39:269,target 62
  39:270,target 63
  8:303,target 53
  123:301 shift
  65:299,target 17
  142:261,target 5
  81:294,target 33
  97:303 reduce
  26:353,target 110
  67:300 reduce
  134:303,target 143
  128:344,target 140
  67:303 reduce
  22:0 reduce
  30:303,target 51
  60:298,target 12
  67:294 reduce
  136:260,target 4
  136:259,target 3
  75:303,target 27
  67:295 reduce
  37:301 reduce
  67:296 reduce
  112:0,target 109
  0:309,target 10
  0:310,target 11
  37:302 reduce
  67:297 reduce
  37:303 reduce
  67:298 reduce
  108:0 reduce
  67:299 reduce
  64:0 reduce
  32:347 goto
  151:0 reduce
  39:286,target 79
  85:0,target 37
  0:257,target 1
  9:303,target 33
  66:299,target 18
  82:294,target 34
  54:0,target 105
  123:301,target 136
  23:266,target 59
  98:272,target 65
  23:0,target 87
  18:301,target 36
  119:298,target 91
  61:298,target 13
  137:260,target 4
  137:259,target 3
  128:300 shift
  76:303,target 28
  0:326,target 21
  128:303 reduce
  36:0 reduce
  128:294 shift
  128:295 shift
  128:296 shift
  128:297 shift
  73:300 reduce
  128:298 shift
  128:299 shift
  78:0 reduce
  140:0,target 85
  139:0,target 1
  73:303 reduce
  73:294 reduce
  73:295 reduce
  43:301 shift
  73:296 reduce
  108:0,target 98
  43:302 shift
  67:299,target 19
  73:297 reduce
  144:261,target 5
  83:294,target 35
  23:283,target 76
  73:298 reduce
  124:301,target 137
  98:288,target 81
  73:299 reduce
  20:301,target 36
  95:296,target 89
  13:303 reduce
  136:303,target 1
  8:0,target 53
  82:0,target 34
  32:303,target 49
  62:298,target 14
  77:303,target 29
  2:303 reduce
  51:0,target 107
  151:262,target 6
  60:300,target 12
  51:0 reduce
  137:0 reduce
  93:0 reduce
  23:299,target 92
  68:299,target 20
  134:303 shift
  128:344 goto
  84:294,target 36
  39:277,target 70
  78:300 reduce
  21:301,target 55
  139:257 shift
  104:303 reduce
  139:258 shift
  137:303,target 1
  139:260 shift
  139:259 shift
  136:0,target 1
  78:303 reduce
  139:261 shift
  78:294 reduce
  139:262 shift
  98:263,target 56
  78:295 reduce
  33:303,target 62
  63:298,target 15
  139:260,target 4
  139:259,target 3
  78:303,target 30
  78:296 reduce
  119:300,target 93
  105:0,target 95
  78:297 reduce
  78:298 reduce
  48:303 reduce
  78:299 reduce
  43:345 goto
  23:0 reduce
  18:301 shift
  61:300,target 13
  18:302 shift
  0:317,target 15
  26:318,target 104
  5:0,target 4
  128:299,target 92
  110:0 reduce
  109:0 reduce
  78:0,target 30
  65:0 reduce
  7:303 reduce
  39:294,target 87
  47:0,target 93
  69:299,target 21
  70:299,target 22
  85:294,target 37
  18:312 shift
  152:0 reduce
  126:301,target 139
  23:274,target 67
  98:280,target 73
  98:279,target 72
  34:303,target 64
  64:298,target 16
  141:260,target 4
  141:259,target 3
  80:303,target 32
  79:303,target 31
  140:303 reduce
  139:303 reduce
  62:300,target 14
  84:300 reduce
  110:303 reduce
  109:303 reduce
  84:303 reduce
  23:343,target 95
  37:0 reduce
  84:294 reduce
  84:295 reduce
  84:296 reduce
  102:0,target 99
  84:297 reduce
  84:298 reduce
  54:303 reduce
  71:299,target 23
  147:261,target 5
  86:294,target 38
  84:299 reduce
  80:0 reduce
  79:0 reduce
  23:291,target 84
  24:303 shift
  98:296,target 89
  18:345 goto
  2:0,target 5
  140:303,target 85
  139:303,target 1
  75:0,target 27
  39:268,target 61
  35:303,target 73
  65:298,target 17
  142:260,target 4
  142:259,target 3
  81:303,target 33
  44:0,target 102
  16:316,target 40
  18:354 goto
  12:341,target 34
  13:0,target 74
  63:300,target 15
  24:316 shift
  10:0 reduce
  60:297,target 12
  136:258,target 2
  139:341 goto
  0:308,target 9
  52:0 reduce
  145:303 reduce
  72:299,target 24
  151:257 shift
  115:303 reduce
  151:258 shift
  39:285,target 78
  151:260 shift
  151:259 shift
  141:303,target 1
  130:0,target 86
  129:0,target 84
  90:303 reduce
  89:303 reduce
  151:261 shift
  151:262 shift
  60:300 reduce
  36:303,target 46
  66:298,target 18
  82:303,target 34
  59:303 reduce
  60:303 reduce
  23:265,target 58
  60:294 reduce
  98:271,target 64
  60:295 reduce
  29:301 shift
  60:296 reduce
  119:297,target 90
  60:297 reduce
  64:300,target 16
  30:303 reduce
  60:298 reduce
  60:299 reduce
  61:297,target 13
  72:0,target 24
  137:258,target 2
  0:325,target 20
  24:350 goto
  41:0,target 55
  73:299,target 25
  111:0 reduce
  10:0,target 57
  66:0 reduce
  142:303,target 1
  153:0 reduce
  16:349,target 41
  37:303,target 47
  67:298,target 19
  144:260,target 4
  144:259,target 3
  83:303,target 35
  23:282,target 75
  151:303 reduce
  98:287,target 80
  95:300 shift
  95:295,target 88
  65:300,target 17
  121:303 reduce
  95:303 shift
  95:294 shift
  62:297,target 14
  95:295 shift
  65:300 reduce
  95:296 shift
  95:297 shift
  95:298 shift
  23:351,target 97
  65:303 reduce
  95:299 shift
  74:299,target 26
  38:345,target 117
  65:294 reduce
  151:261,target 5
  65:295 reduce
  65:296 reduce
  65:297 reduce
  35:303 reduce
  65:298 reduce
  65:299 reduce
  81:0 reduce
  68:0,target 20
  23:298,target 91
  68:298,target 20
  84:303,target 36
  37:0,target 47
  39:276,target 69
  66:300,target 18
  0:257 shift
  63:297,target 15
  151:341 goto
  139:258,target 2
  0:258 shift
  0:260 shift
  0:259 shift
  0:261 shift
  11:0 reduce
  0:262 shift
  75:299,target 27
  154:0,target 80
  132:301,target 141
  126:301 shift
  0:316,target 14
  53:0 reduce
  128:298,target 91
  95:344 goto
  144:303,target 1
  71:300 reduce
  140:0 reduce
  139:0 reduce
  39:303,target 75
  39:293,target 86
  40:303,target 121
  69:298,target 21
  70:298,target 22
  85:303,target 37
  71:303 reduce
  71:294 reduce
  71:295 reduce
  71:296 reduce
  71:297 reduce
  41:303 reduce
  67:300,target 19
  71:298 reduce
  23:273,target 66
  71:299 reduce
  98:278,target 71
  65:0,target 17
  64:297,target 16
  141:258,target 2
  11:303 reduce
  34:0,target 64
  76:299,target 28
  0:333,target 27
  26:334,target 107
  133:301,target 142
  0:303 reduce
  0:306 shift
  23:342,target 94
  28:301,target 114
  100:303,target 56
  0:307 shift
  145:303,target 88
  0:308 shift
  112:0 reduce
  0:309 shift
  0:310 shift
  0:311 shift
  67:0 reduce
  41:303,target 55
  71:298,target 23
  147:260,target 4
  147:259,target 3
  86:303,target 38
  0:313 shift
  0:0 reduce
  154:0 reduce
  151:0,target 1
  132:301 shift
  0:316 shift
  0:317 shift
  23:289,target 82
  23:290,target 83
  23:300,target 93
  98:295,target 88
  68:300,target 20
  0:319 shift
  0:320 shift
  39:267,target 60
  0:322 shift
  76:300 reduce
  0:323 shift
  65:297,target 17
  142:258,target 2
  137:257 shift
  102:303 reduce
  137:258 shift
  0:325 shift
  137:260 shift
  137:259 shift
  76:303 reduce
  0:326 shift
  137:261 shift
  76:294 reduce
  0:327 shift
  137:262 shift
  77:299,target 29
  76:295 reduce
  0:328 shift
  76:296 reduce
  0:330 shift
  93:0,target 45
  76:297 reduce
  0:331 shift
  76:298 reduce
  0:332 shift
  46:303 reduce
  76:299 reduce
  0:333 shift
  29:301,target 115
  60:296,target 12
  136:257,target 1
  101:303,target 59
  0:335 shift
  62:0,target 14
  146:303,target 89
  39:0 reduce
  16:303 shift
  0:307,target 8
  0:338 shift
  31:0,target 0
  42:303,target 58
  72:298,target 24
  87:303,target 39
  0:341 goto
  128:300,target 93
  82:0 reduce
  5:303 reduce
  0:346 goto
  39:284,target 77
  69:300,target 21
  70:300,target 22
  20:324,target 49
  0:348 goto
  16:316 shift
  36:302,target 46
  66:297,target 18
  23:264,target 57
  98:270,target 63
  98:269,target 62
  78:299,target 30
  43:345,target 122
  147:0,target 1
  119:296,target 89
  135:301,target 144
  137:303 reduce
  12:0 reduce
  61:296,target 13
  137:257,target 1
  102:303,target 99
  147:303,target 1
  82:300 reduce
  107:303 reduce
  82:303 reduce
  73:298,target 25
  88:303,target 40
  82:294 reduce
  54:0 reduce
  82:295 reduce
  82:296 reduce
  24:316,target 99
  90:0,target 42
  89:0,target 41
  82:297 reduce
  82:298 reduce
  52:303 reduce
  141:0 reduce
  82:299 reduce
  71:300,target 23
  12:262,target 6
  58:0,target 10
  22:303 reduce
  37:302,target 47
  67:297,target 19
  144:258,target 2
  23:281,target 74
  98:286,target 79
  80:299,target 32
  79:299,target 31
  16:349 goto
  95:294,target 87
  0:341,target 30
  62:296,target 14
  103:303,target 101
  148:303,target 90
  74:298,target 26
  44:303,target 102
  151:260,target 4
  151:259,target 3
  90:303,target 42
  89:303,target 41
  137:341 goto
  144:0,target 1
  143:301 shift
  113:0 reduce
  68:0 reduce
  72:300,target 24
  113:0,target 71
  1:0 reduce
  23:297,target 90
  113:303 reduce
  38:302,target 37
  68:297,target 20
  87:303 reduce
  39:275,target 68
  81:299,target 33
  86:0,target 38
  57:303 reduce
  55:0,target 67
  63:296,target 15
  139:257,target 1
  104:303,target 94
  150:303,target 78
  149:303,target 77
  24:350,target 100
  75:298,target 27
  39:344,target 120
  45:303,target 69
  91:303,target 43
  41:0 reduce
  128:297,target 90
  73:300,target 25
  27:314 shift
  127:0 reduce
  83:0 reduce
  39:292,target 85
  69:297,target 21
  70:297,target 22
  27:321 shift
  141:0,target 1
  82:299,target 34
  148:303 reduce
  138:301,target 147
  23:272,target 65
  98:277,target 70
  110:0,target 68
  109:0,target 97
  64:296,target 16
  141:257,target 1
  105:303,target 95
  151:303,target 1
  118:303 shift
  93:303 reduce
  76:298,target 28
  0:332,target 26
  46:303,target 92
  92:303,target 44
  13:0 reduce
  63:300 reduce
  83:0,target 35
  63:303 reduce
  63:294 reduce
  100:0 reduce
  74:300,target 26
  63:295 reduce
  52:0,target 104
  55:0 reduce
  63:296 reduce
  63:297 reduce
  98:263 shift
  33:303 reduce
  63:298 reduce
  98:264 shift
  63:299 reduce
  71:297,target 23
  147:258,target 2
  98:265 shift
  142:0 reduce
  98:266 shift
  98:267 shift
  97:0 reduce
  98:268 shift
  98:270 shift
  98:269 shift
  83:299,target 35
  23:288,target 81
  98:294,target 87
  98:271 shift
  98:272 shift
  98:273 shift
  39:266,target 59
  98:274 shift
  98:275 shift
  65:296,target 17
  142:257,target 1
  106:303,target 96
  98:276 shift
  27:357 goto
  152:303,target 79
  98:277 shift
  98:278 shift
  0:348,target 32
  98:280 shift
  98:279 shift
  98:281 shift
  77:298,target 29
  47:303,target 93
  98:282 shift
  93:303,target 45
  137:0,target 1
  98:283 shift
  98:284 shift
  154:303 reduce
  98:285 shift
  98:286 shift
  60:295,target 12
  106:0,target 96
  98:287 shift
  75:300,target 27
  124:301 shift
  98:288 shift
  98:300 shift
  98:290 shift
  98:289 shift
  0:306,target 7
  98:291 shift
  114:0 reduce
  98:292 shift
  72:297,target 24
  98:293 shift
  98:303 reduce
  69:0 reduce
  70:0 reduce
  98:294 shift
  98:295 shift
  6:0,target 7
  68:300 reduce
  98:296 shift
  2:0 reduce
  98:297 shift
  84:299,target 36
  80:0,target 32
  79:0,target 31
  98:298 shift
  39:283,target 76
  68:303 reduce
  98:299 shift
  68:294 reduce
  68:295 reduce
  38:301 shift
  48:0,target 66
  68:296 reduce
  36:301,target 46
  38:302 shift
  66:296,target 18
  68:297 reduce
  107:303,target 100
  68:298 reduce
  153:303,target 91
  68:299 reduce
  23:263,target 56
  98:268,target 61
  78:298,target 30
  48:303,target 66
  119:295,target 88
  94:303,target 123
  61:295,target 13
  76:300,target 28
  0:323,target 19
  42:0 reduce
  43:302,target 37
  73:297,target 25
  128:0 reduce
  39:299,target 92
  85:299,target 37
  84:0 reduce
  20:339,target 50
  20:340,target 51
  103:0,target 101
  12:261,target 5
  37:301,target 47
  67:296,target 19
  144:257,target 1
  130:303 reduce
  129:303 reduce
  108:303,target 98
  98:342 goto
  23:279,target 72
  23:280,target 73
  154:303,target 80
  98:285,target 78
  98:343 goto
  98:344 goto
  80:298,target 32
  79:298,target 31
  74:300 reduce
  3:0,target 3
  49:303,target 106
  50:303,target 108
  100:303 reduce
  95:303,target 124
  76:0,target 28
  74:303 reduce
  74:294 reduce
  74:295 reduce
  62:295,target 14
  77:300,target 29
  74:296 reduce
  45:0,target 69
  74:297 reduce
  74:298 reduce
  44:303 reduce
  74:299 reduce
  38:345 goto
  74:297,target 26
  151:258,target 2
  101:0 reduce
  20:356,target 54
  14:303 shift
  56:0 reduce
  86:299,target 38
  143:301,target 151
  98:0 reduce
  3:303 reduce
  23:296,target 89
  38:301,target 36
  68:296,target 20
  110:303,target 68
  109:303,target 97
  39:274,target 67
  81:298,target 33
  51:303,target 107
  131:0,target 50
  96:303,target 126
  100:0,target 56
  63:295,target 15
  135:301 shift
  78:300,target 30
  75:297,target 27
  39:343,target 119
  80:300 reduce
  79:300 reduce
  0:0,target 1
  141:257 shift
  105:303 reduce
  26:315,target 103
  141:258 shift
  73:0,target 25
  141:260 shift
  141:259 shift
  80:303 reduce
  79:303 reduce
  141:261 shift
  128:296,target 89
  115:0 reduce
  80:294 reduce
  79:294 reduce
  141:262 shift
  80:295 reduce
  79:295 reduce
  71:0 reduce
  80:296 reduce
  79:296 reduce
  42:0,target 58
  80:297 reduce
  79:297 reduce
  80:298 reduce
  79:298 reduce
  3:0 reduce
  39:291,target 84
  49:303 reduce
  50:303 reduce
  69:296,target 21
  70:296,target 22
  111:303,target 110
  80:299 reduce
  79:299 reduce
  11:0,target 60
  0:262,target 6
  20:301 shift
  20:302 shift
  82:298,target 34
  52:303,target 104
  97:303,target 61
  19:305 shift
  23:271,target 64
  98:276,target 69
  27:357,target 113
  64:295,target 16
  80:300,target 32
  79:300,target 31
  8:303 reduce
  76:297,target 28
  0:331,target 25
  127:0,target 82
  20:324 shift
  141:303 reduce
  130:0 reduce
  129:0 reduce
  71:296,target 23
  147:257,target 1
  112:303,target 109
  85:0 reduce
  85:300 reduce
  111:303 reduce
  83:298,target 35
  23:287,target 80
  53:303,target 70
  98:293,target 86
  98:303,target 81
  69:0,target 21
  70:0,target 22
  85:303 reduce
  85:294 reduce
  39:265,target 58
  85:295 reduce
  19:335 shift
  19:305,target 46
  85:296 reduce
  65:295,target 17
  85:297 reduce
  81:300,target 33
  85:298 reduce
  55:303 reduce
  85:299 reduce
  20:339 shift
  20:340 shift
  77:297,target 29
  25:303 shift
  20:345 goto
  60:294,target 12
  102:0 reduce
  19:352 goto
  57:0 reduce
  72:296,target 24
  113:303,target 71
  20:355 goto
  20:356 goto
  144:0 reduce
  84:298,target 36
  54:303,target 105
  99:303,target 130
  39:282,target 75
  141:341 goto
  66:295,target 18
  82:300,target 34
  146:303 reduce
  98:267,target 60
  97:0,target 61
  78:297,target 30
  119:294,target 87
  116:303 shift
  66:0,target 18
  91:303 reduce
  61:294,target 13
  0:322,target 18
  61:300 reduce
  30:0 reduce
  35:0,target 73
  61:303 reduce
  43:301,target 36
  61:294 reduce
  73:296,target 25
  114:303,target 65
  61:295 reduce
  61:296 reduce
  61:297 reduce
  72:0 reduce
  10:303,target 57
  39:298,target 91
  61:298 reduce
  85:298,target 37
  55:303,target 67
  61:299 reduce
  95:344,target 125
  4:0 reduce
  136:341,target 145
  12:260,target 4
  12:259,target 3
  67:295,target 19
  83:300,target 35
  23:278,target 71
  98:284,target 77
  152:0,target 79
  80:297,target 32
  79:297,target 31
  121:0,target 76
  0:338,target 29
  62:294,target 14
  152:303 reduce
  74:296,target 26
  151:257,target 1
  115:303,target 63
  44:0 reduce
  20:355,target 53
  122:303 reduce
  11:303,target 60
  86:298,target 38
  56:303,target 8
  63:0,target 15
  131:0 reduce
  96:303 shift
  137:341,target 146
  86:0 reduce
  66:300 reduce
  23:295,target 88
  32:0,target 48
  68:295,target 20
  84:300,target 36
  66:303 reduce
  39:273,target 66
  66:294 reduce
  66:295 reduce
  36:301 reduce
  66:296 reduce
  81:297,target 33
  36:302 reduce
  66:297 reduce
  36:303 reduce
  66:298 reduce
  66:299 reduce
  63:294,target 15
  148:0,target 90
  75:296,target 27
  39:342,target 118
  116:303,target 131
  12:257 shift
  12:258 shift
  0:313,target 13
  12:260 shift
  12:259 shift
  117:0,target 72
  103:0 reduce
  12:261 shift
  12:303,target 1
  12:262 shift
  57:303,target 9
  58:0 reduce
  128:295,target 88
  145:0 reduce
  39:289,target 82
  39:290,target 83
  39:300,target 93
  69:295,target 21
  70:295,target 22
  85:300,target 37
  0:261,target 5
  91:0,target 43
  82:297,target 34
  127:303 reduce
  23:269,target 62
  23:270,target 63
  59:0,target 11
  60:0,target 12
  98:275,target 68
  64:294,target 16
  72:300 reduce
  72:303 reduce
  72:294 reduce
  76:296,target 28
  0:330,target 24
  72:295 reduce
  117:303,target 72
  72:296 reduce
  72:297 reduce
  27:314,target 111
  31:0 accept
  42:303 reduce
  72:298 reduce
  13:303,target 74
  72:299 reduce
  58:303,target 10
  98:344,target 129
  139:341,target 148
  117:0 reduce
  12:303 reduce
  73:0 reduce
  71:295,target 23
  86:300,target 38
  145:0,target 88
  5:0 reduce
  1:303 reduce
  83:297,target 35
  23:286,target 79
  114:0,target 65
  98:292,target 85
  39:264,target 57
  95:299,target 92
  65:294,target 17
  0:346,target 31
  87:0,target 39
  77:296,target 29
  133:301 shift
  118:303,target 132
  14:303,target 35
  56:0,target 8
  59:303,target 11
  60:303,target 12
  141:341,target 149
  77:300 reduce
  45:0 reduce
  103:303 reduce
  77:303 reduce
  72:295,target 24
  77:294 reduce
  77:295 reduce
  87:0 reduce
  77:296 reduce
  77:297 reduce
  84:297,target 36
  77:298 reduce
  47:303 reduce
  77:299 reduce
  39:281,target 74
  12:341 goto
  15:345,target 38
  17:303 shift
  66:294,target 18
  142:0,target 1
  98:266,target 59
  78:296,target 30
  120:303,target 135
  119:303,target 133
  6:303 reduce
  111:0,target 110
  23:263 shift
  61:303,target 13
  23:264 shift
  142:341,target 150
  23:265 shift
  26:322,target 105
  23:266 shift
  23:267 shift
  104:0 reduce
  23:268 shift
  73:295,target 25
  23:269 shift
  23:270 shift
  59:0 reduce
  60:0 reduce
  84:0,target 36
  23:271 shift
  138:301 shift
  18:354,target 45
  23:272 shift
  23:273 shift
  39:297,target 90
  85:297,target 37
  23:274 shift
  146:0 reduce
  23:275 shift
  53:0,target 70
  23:276 shift
  12:258,target 2
  23:277 shift
  83:300 reduce
  23:278 shift
  144:257 shift
  108:303 reduce
  22:0,target 52
  23:279 shift
  23:280 shift
  67:294,target 19
  144:258 shift
  23:277,target 70
  23:281 shift
  144:260 shift
  144:259 shift
  98:283,target 76
  83:303 reduce
  23:282 shift
  144:261 shift
  83:294 reduce
  18:312,target 43
  23:283 shift
  144:262 shift
  83:295 reduce
  23:284 shift
  83:296 reduce
  80:296,target 32
  79:296,target 31
  23:285 shift
  121:303,target 76
  83:297 reduce
  23:286 shift
  83:298 reduce
  23:287 shift
  53:303 reduce
  83:299 reduce
  23:288 shift
  16:303,target 39
  23:289 shift
  23:290 shift
  23:300 shift
  23:291 shift
  62:303,target 14
  23:292 shift
  23:303 reduce
  23:293 shift
  23:294 shift
  23:295 shift
  32:0 reduce
  74:295,target 26
  23:296 shift
  23:297 shift
  23:298 shift
  23:299 shift
  107:0,target 100
  86:297,target 38
  74:0 reduce
  6:0 reduce
  23:294,target 87
  98:299,target 92
  68:294,target 20
  7:0,target 54
  39:272,target 65
  81:0,target 33
  81:296,target 33
  122:303,target 103
  144:303 reduce
  49:0,target 106
  50:0,target 108
  17:303,target 42
  63:303,target 15
  144:341,target 152
  114:303 reduce
  88:303 reduce
  136:262,target 6
  75:295,target 27
  46:0 reduce
  58:303 reduce
  128:294,target 87
  23:342 goto
  28:301 shift
  23:343 goto
  88:0 reduce
  18:345,target 44
  23:344 goto
  39:288,target 81
  69:294,target 21
  70:294,target 22
  0:260,target 4
  0:259,target 3
  82:296,target 34
  23:351 goto
  104:0,target 94
  23:268,target 61
  98:274,target 67
  64:303,target 16
  4:0,target 6
  137:262,target 6
  76:295,target 28
  0:328,target 23
  144:341 goto
  77:0,target 29
  26:329,target 106
  150:303 reduce
  149:303 reduce
  46:0,target 92
  119:300 shift
  105:0 reduce
  98:343,target 128
  61:0 reduce
  120:303 shift
  119:303 shift
  20:345,target 52
  119:294 shift
  71:294,target 23
  119:295 shift
  94:303 shift
  147:0 reduce
  119:296 shift
  119:297 shift
  64:300 reduce
  119:298 shift
  32:347,target 116
  119:299 shift
  83:296,target 35
  23:285,target 78
  98:291,target 84
  64:303 reduce
  64:294 reduce
  39:263,target 56
  64:295 reduce
  64:296 reduce
  95:298,target 91
  64:297 reduce
  65:303,target 17
  34:303 reduce
  64:298 reduce
  64:299 reduce
  77:295,target 29
  101:0,target 59
  33:0 reduce
  39:263 shift
  39:264 shift
  0:303,target 1
  39:265 shift
  26:304,target 102
  39:266 shift
  39:267 shift
  72:294,target 24
  75:0 reduce
  1:0,target 2
  39:268 shift
  39:269 shift
  39:270 shift
  74:0,target 26
  39:271 shift
  7:0 reduce
  39:272 shift
  84:296,target 36
  39:273 shift
  125:303,target 138
  119:344,target 134
  39:274 shift
  39:279,target 72
  39:280,target 73
  39:275 shift
  39:276 shift
  39:277 shift
  39:278 shift
  66:303,target 18
  125:303 shift
  119:344 goto
  12:0,target 1
  39:279 shift
  39:280 shift
  147:341,target 153
  39:281 shift
  99:303 shift
  39:282 shift
  98:265,target 58
  39:283 shift
  139:262,target 6
  78:295,target 30
  39:284 shift
  69:300 reduce
  70:300 reduce
  39:285 shift
  39:286 shift
  39:287 shift
  69:303 reduce
  70:303 reduce
  15:302,target 37
  39:288 shift
  69:294 reduce
  70:294 reduce
  39:289 shift
  39:290 shift
  39:300 shift
  69:295 reduce
  70:295 reduce
  0:319,target 16
  0:320,target 17
  39:291 shift
  69:296 reduce
  70:296 reduce
  39:292 shift
  69:297 reduce
  70:297 reduce
  1:303,target 2
  39:303 reduce
  39:293 shift
  40:303 shift
  69:298 reduce
  70:298 reduce
  39:294 shift
  47:0 reduce
  69:299 reduce
  70:299 reduce
  39:295 shift
  73:294,target 25
  39:296 shift
  128:0,target 83
  39:297 shift
  10:303 reduce
  39:298 shift
  39:296,target 89
  39:299 shift
  90:0 reduce
  89:0 reduce
  85:296,target 37
  12:257,target 1
  22:303,target 52
  67:303,target 19
  23:276,target 69
  98:282,target 75
  141:262,target 6
  80:295,target 32
  79:295,target 31
  71:0,target 23
  95:300,target 93
  39:0,target 75
  26:337,target 109
  27:321,target 112
  2:303,target 5
  74:294,target 26
  106:0 reduce
  75:300 reduce
  136:257 shift
  101:303 reduce
  62:0 reduce
  136:258 shift
  136:260 shift
  136:259 shift
  86:296,target 38
  75:303 reduce
  136:261 shift
  127:303,target 82
  75:294 reduce
  136:262 shift
  75:295 reduce
  148:0 reduce
  75:296 reduce
  39:342 goto
  75:297 reduce
  23:303,target 87
  23:293,target 86
  39:343 goto
  98:298,target 91
  75:298 reduce
  39:344 goto
  45:303 reduce
  68:303,target 20
  75:299 reduce
  39:271,target 64
  15:301 shift
  15:302 shift
  142:262,target 6
  81:295,target 33
  4:303 reduce
  98:0,target 81
  3:303,target 3
  60:299,target 12
  136:261,target 5
  75:294,target 27
  34:0 reduce
  0:311,target 12
  67:0,target 19
  128:303,target 83
  121:0 reduce
  36:0,target 46
  76:0 reduce
  24:303,target 98
  136:303 reduce
  8:0 reduce
  39:287,target 80
  69:303,target 21
  70:303,target 22
  151:341,target 154
  0:258,target 2
  81:300 reduce
  142:257 shift
  106:303 reduce
  82:295,target 34
  142:258 shift
  142:260 shift
  142:259 shift
  81:303 reduce
  23:267,target 60
  142:261 shift
  98:273,target 66
  81:294 reduce
  142:262 shift
  81:295 reduce
  18:302,target 37
  119:299,target 92
  81:296 reduce
  81:297 reduce
  153:0,target 91
  81:298 reduce
  51:303 reduce
  81:299 reduce
  4:303,target 6
}

array set contour::rules {
  98,l 353
  9,l 342
  11,l 342
  32,l 343
  53,l 348
  74,l 348
  95,l 353
  6,l 341
  28,l 343
  50,l 346
  49,l 347
  71,l 348
  92,l 352
  3,l 341
  25,l 343
  46,l 345
  67,l 348
  0,l 358
  88,l 351
  22,l 343
  43,l 344
  108,l 356
  64,l 348
  85,l 350
  18,l 343
  40,l 344
  39,l 344
  105,l 355
  61,l 348
  82,l 350
  15,l 343
  36,l 343
  102,l 354
  57,l 348
  78,l 349
  99,l 353
  12,l 343
  33,l 343
  54,l 348
  75,l 349
  96,l 353
  7,l 341
  29,l 343
  30,l 343
  51,l 348
  72,l 348
  93,l 352
  4,l 341
  26,l 343
  47,l 345
  68,l 348
  90,l 351
  89,l 351
  1,l 341
  23,l 343
  44,l 344
  110,l 357
  109,l 357
  65,l 348
  86,l 350
  19,l 343
  20,l 343
  41,l 344
  106,l 356
  62,l 348
  83,l 350
  16,l 343
  37,l 343
  103,l 354
  58,l 348
  80,l 349
  79,l 349
  13,l 343
  34,l 343
  100,l 353
  55,l 348
  76,l 349
  97,l 353
  8,l 342
  10,l 342
  31,l 343
  52,l 348
  73,l 348
  94,l 353
  5,l 341
  27,l 343
  48,l 346
  70,l 348
  69,l 348
  91,l 351
  2,l 341
  24,l 343
  45,l 344
  66,l 348
  87,l 351
  21,l 343
  42,l 344
  107,l 356
  63,l 348
  84,l 350
  17,l 343
  38,l 343
  104,l 355
  60,l 348
  59,l 348
  81,l 350
  14,l 343
  35,l 343
  101,l 353
  56,l 348
  77,l 349
}

array set contour::rules {
  63,dc 2
  12,dc 1
  77,dc 5
  26,dc 1
  100,dc 1
  92,dc 1
  3,dc 1
  41,dc 1
  55,dc 2
  70,dc 2
  69,dc 2
  18,dc 1
  84,dc 2
  33,dc 1
  106,dc 1
  98,dc 1
  9,dc 1
  47,dc 1
  62,dc 2
  11,dc 1
  76,dc 2
  25,dc 1
  91,dc 5
  2,dc 1
  40,dc 1
  39,dc 1
  54,dc 1
  68,dc 2
  17,dc 1
  83,dc 2
  32,dc 1
  105,dc 1
  97,dc 1
  8,dc 1
  46,dc 1
  61,dc 2
  10,dc 1
  75,dc 1
  24,dc 1
  90,dc 4
  89,dc 4
  1,dc 0
  38,dc 1
  53,dc 1
  67,dc 2
  16,dc 1
  82,dc 2
  31,dc 1
  104,dc 1
  96,dc 1
  7,dc 1
  45,dc 1
  60,dc 1
  59,dc 2
  74,dc 1
  23,dc 1
  0,dc 1
  88,dc 4
  37,dc 1
  52,dc 1
  66,dc 2
  15,dc 1
  81,dc 1
  29,dc 1
  30,dc 1
  103,dc 2
  95,dc 1
  6,dc 1
  44,dc 1
  58,dc 2
  73,dc 2
  22,dc 1
  87,dc 0
  36,dc 1
  110,dc 1
  109,dc 1
  51,dc 1
  65,dc 2
  14,dc 1
  80,dc 6
  79,dc 5
  28,dc 1
  102,dc 1
  94,dc 1
  5,dc 1
  43,dc 1
  57,dc 1
  72,dc 3
  21,dc 1
  86,dc 2
  35,dc 1
  108,dc 1
  50,dc 3
  49,dc 0
  64,dc 2
  13,dc 1
  78,dc 5
  27,dc 1
  101,dc 1
  93,dc 1
  4,dc 1
  42,dc 1
  56,dc 2
  71,dc 2
  19,dc 1
  20,dc 1
  85,dc 3
  34,dc 1
  107,dc 1
  99,dc 1
  48,dc 1
}

array set contour::rules {
  41,line 198
  96,line 280
  7,line 161
  108,line 298
  37,line 193
  93,line 275
  4,line 158
  105,line 293
  34,line 190
  90,line 267
  89,line 266
  1,line 155
  49,e 1
  102,line 288
  31,line 187
  86,line 261
  27,line 183
  83,line 255
  24,line 180
  80,line 250
  79,line 247
  21,line 177
  76,line 244
  17,line 173
  73,line 238
  14,line 170
  70,line 235
  69,line 234
  11,line 166
  66,line 231
  63,line 228
  60,line 225
  59,line 224
  56,line 217
  53,line 214
  50,line 209
  49,line 208
  46,line 204
  43,line 200
  98,line 282
  9,line 164
  40,line 197
  39,line 196
  95,line 279
  6,line 160
  107,line 297
  36,line 192
  92,line 274
  3,line 157
  104,line 292
  33,line 189
  88,line 265
  101,line 285
  29,line 185
  30,line 186
  85,line 257
  26,line 182
  82,line 254
  23,line 179
  78,line 246
  19,line 175
  20,line 176
  75,line 242
  16,line 172
  72,line 237
  13,line 169
  68,line 233
  10,line 165
  65,line 230
  62,line 227
  58,line 222
  55,line 216
  52,line 213
  48,line 208
  45,line 202
  42,line 199
  97,line 281
  8,line 163
  110,line 302
  109,line 301
  38,line 194
  94,line 278
  5,line 159
  106,line 296
  35,line 191
  91,line 271
  2,line 156
  103,line 289
  32,line 188
  87,line 264
  100,line 284
  28,line 184
  84,line 256
  25,line 181
  81,line 253
  22,line 178
  77,line 245
  18,line 174
  74,line 239
  15,line 171
  71,line 236
  12,line 168
  67,line 232
  64,line 229
  61,line 226
  57,line 220
  54,line 215
  51,line 212
  47,line 205
  44,line 201
  99,line 283
}

array set contour::lr1_table {
  35 {{73 {0 303} 2}}
  66,trans {}
  85,trans {}
  36 {{46 {301 302} 1}}
  37 {{47 {301 302} 1}}
  38 {{72 {0 303} 2} {46 {0 303} 0} {47 {0 303} 0}}
  39 {{75 {0 303} 1} {77 {0 303} 1} {78 {0 303} 1} {79 {0 303} 1} {80 {0 303} 1} {8 303 0} {9 303 0} {10 303 0} {11 303 0} {12 {294 295 296 297 298 299 300 303} 0} {13 {294 295 296 297 298 299 300 303} 0} {14 {294 295 296 297 298 299 300 303} 0} {15 {294 295 296 297 298 299 300 303} 0} {16 {294 295 296 297 298 299 300 303} 0} {17 {294 295 296 297 298 299 300 303} 0} {18 {294 295 296 297 298 299 300 303} 0} {19 {294 295 296 297 298 299 300 303} 0} {20 {294 295 296 297 298 299 300 303} 0} {21 {294 295 296 297 298 299 300 303} 0} {22 {294 295 296 297 298 299 300 303} 0} {23 {294 295 296 297 298 299 300 303} 0} {24 {294 295 296 297 298 299 300 303} 0} {25 {294 295 296 297 298 299 300 303} 0} {26 {294 295 296 297 298 299 300 303} 0} {27 {294 295 296 297 298 299 300 303} 0} {28 {294 295 296 297 298 299 300 303} 0} {29 {294 295 296 297 298 299 300 303} 0} {30 {294 295 296 297 298 299 300 303} 0} {31 {294 295 296 297 298 299 300 303} 0} {32 {294 295 296 297 298 299 300 303} 0} {33 {294 295 296 297 298 299 300 303} 0} {34 {294 295 296 297 298 299 300 303} 0} {35 {294 295 296 297 298 299 300 303} 0} {36 {294 295 296 297 298 299 300 303} 0} {37 {294 295 296 297 298 299 300 303} 0} {38 {294 295 296 297 298 299 300 303} 0} {39 303 0} {40 303 0} {41 303 0} {42 303 0} {43 303 0} {44 303 0} {45 303 0}}
  40 {{76 {0 303} 1}}
  117,trans {}
  41 {{55 {0 303} 2}}
  136,trans {}
  42 {{58 {0 303} 2}}
  155,trans {}
  43 {{46 {0 303} 1}}
  174,trans {{303 183}}
  44 {{47 {0 303} 1}}
  193,trans {}
  45 {{103 {0 303} 1} {46 {0 303} 0} {47 {0 303} 0}}
  46 {{102 {0 303} 1}}
  47 {{69 {0 303} 2}}
  48 {{92 {0 303} 1}}
  49 {{93 {0 303} 1}}
  50 {{66 {0 303} 2}}
  27,trans {{314 113} {321 114} {357 115}}
  51 {{106 {0 303} 1}}
  46,trans {}
  52 {{108 {0 303} 1}}
  65,trans {}
  84,trans {}
  53 {{107 {0 303} 1}}
  54 {{104 {0 303} 1}}
  55 {{70 {0 303} 2}}
  56 {{105 {0 303} 1}}
  116,trans {}
  57 {{67 {0 303} 2}}
  135,trans {}
  58 {{8 303 1}}
  154,trans {}
  59 {{9 303 1}}
  60 {{10 303 1}}
  173,trans {{301 182}}
  61 {{11 303 1}}
  192,trans {}
  62 {{12 {294 295 296 297 298 299 300 303} 1}}
  63 {{13 {294 295 296 297 298 299 300 303} 1}}
  64 {{14 {294 295 296 297 298 299 300 303} 1}}
  65 {{15 {294 295 296 297 298 299 300 303} 1}}
  66 {{16 {294 295 296 297 298 299 300 303} 1}}
  26,trans {{304 104} {315 105} {318 106} {322 107} {329 108} {334 109} {336 110} {337 111} {353 112}}
  67 {{17 {294 295 296 297 298 299 300 303} 1}}
  45,trans {{301 43} {302 44} {345 124}}
  68 {{18 {294 295 296 297 298 299 300 303} 1}}
  64,trans {}
  83,trans {}
  69 {{19 {294 295 296 297 298 299 300 303} 1}}
  70 {{20 {294 295 296 297 298 299 300 303} 1}}
  71 {{21 {294 295 296 297 298 299 300 303} 1}}
  72 {{22 {294 295 296 297 298 299 300 303} 1}}
  73 {{23 {294 295 296 297 298 299 300 303} 1}}
  115,trans {}
  74 {{24 {294 295 296 297 298 299 300 303} 1}}
  134,trans {}
  75 {{25 {294 295 296 297 298 299 300 303} 1}}
  153,trans {}
  76 {{26 {294 295 296 297 298 299 300 303} 1}}
  172,trans {{301 181}}
  77 {{27 {294 295 296 297 298 299 300 303} 1}}
  191,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {341 194}}
  78 {{28 {294 295 296 297 298 299 300 303} 1}}
  79 {{29 {294 295 296 297 298 299 300 303} 1}}
  80 {{30 {294 295 296 297 298 299 300 303} 1}}
  81 {{31 {294 295 296 297 298 299 300 303} 1}}
  82 {{32 {294 295 296 297 298 299 300 303} 1}}
  83 {{33 {294 295 296 297 298 299 300 303} 1}}
  25,trans {{303 103}}
  84 {{34 {294 295 296 297 298 299 300 303} 1}}
  44,trans {}
  85 {{35 {294 295 296 297 298 299 300 303} 1}}
  63,trans {}
  82,trans {}
  86 {{36 {294 295 296 297 298 299 300 303} 1}}
  87 {{37 {294 295 296 297 298 299 300 303} 1}}
  0 {{0 0 0} {48 0 0} {50 0 0} {51 {0 303} 0} {52 {0 303} 0} {53 {0 303} 0} {54 {0 303} 0} {55 {0 303} 0} {56 {0 303} 0} {57 {0 303} 0} {58 {0 303} 0} {59 {0 303} 0} {60 {0 303} 0} {61 {0 303} 0} {62 {0 303} 0} {63 {0 303} 0} {64 {0 303} 0} {65 {0 303} 0} {66 {0 303} 0} {67 {0 303} 0} {68 {0 303} 0} {69 {0 303} 0} {70 {0 303} 0} {71 {0 303} 0} {72 {0 303} 0} {73 {0 303} 0} {74 {0 303} 0} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  88 {{38 {294 295 296 297 298 299 300 303} 1}}
  1 {{2 {0 303} 1}}
  89 {{39 303 1}}
  90 {{40 303 1}}
  114,trans {}
  2 {{5 {0 303} 1}}
  91 {{41 303 1}}
  133,trans {}
  3 {{3 {0 303} 1}}
  92 {{42 303 1}}
  152,trans {}
  4 {{6 {0 303} 1}}
  93 {{43 303 1}}
  171,trans {}
  5 {{4 {0 303} 1}}
  94 {{44 303 1}}
  190,trans {}
  189,trans {}
  6 {{7 {0 303} 1}}
  95 {{45 303 1}}
  7 {{54 {0 303} 1}}
  96 {{88 {0 303} 1}}
  8 {{53 {0 303} 1}}
  97 {{89 {0 303} 1} {91 {0 303} 1} {39 303 0} {40 303 0} {41 303 0} {42 303 0} {43 303 0} {44 303 0} {45 303 0}}
  9 {{62 {0 303} 1}}
  98 {{90 {0 303} 1}}
  99 {{61 {0 303} 2}}
  24,trans {{303 100} {316 101} {350 102}}
  43,trans {}
  62,trans {}
  81,trans {}
  99,trans {}
  113,trans {}
  132,trans {}
  151,trans {}
  170,trans {}
  169,trans {}
  188,trans {}
  23,trans {{263 58} {264 59} {265 60} {266 61} {267 62} {268 63} {269 64} {270 65} {271 66} {272 67} {273 68} {274 69} {275 70} {276 71} {277 72} {278 73} {279 74} {280 75} {281 76} {282 77} {283 78} {284 79} {285 80} {286 81} {287 82} {288 83} {289 84} {290 85} {291 86} {292 87} {293 88} {294 89} {295 90} {296 91} {297 92} {298 93} {299 94} {300 95} {342 96} {343 97} {344 98} {351 99}}
  42,trans {}
  61,trans {}
  80,trans {}
  79,trans {}
  98,trans {{303 128}}
  9,trans {{303 33}}
  112,trans {}
  131,trans {}
  150,trans {}
  149,trans {}
  168,trans {{294 160} {295 161} {296 162} {297 163} {298 164} {299 165} {300 166} {344 180}}
  187,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {341 193}}
  22,trans {}
  41,trans {}
  59,trans {}
  60,trans {}
  78,trans {}
  97,trans {{294 89} {295 90} {296 91} {297 92} {298 93} {299 94} {300 95} {303 126} {344 127}}
  8,trans {}
  111,trans {}
  130,trans {}
  129,trans {}
  148,trans {}
  100 {{81 {0 303} 1} {82 {0 303} 1} {83 {0 303} 1} {84 {0 303} 1} {85 {0 303} 1} {8 {0 303} 0} {9 {0 303} 0} {10 {0 303} 0} {11 {0 303} 0} {12 {0 294 295 296 297 298 299 300 303} 0} {13 {0 294 295 296 297 298 299 300 303} 0} {14 {0 294 295 296 297 298 299 300 303} 0} {15 {0 294 295 296 297 298 299 300 303} 0} {16 {0 294 295 296 297 298 299 300 303} 0} {17 {0 294 295 296 297 298 299 300 303} 0} {18 {0 294 295 296 297 298 299 300 303} 0} {19 {0 294 295 296 297 298 299 300 303} 0} {20 {0 294 295 296 297 298 299 300 303} 0} {21 {0 294 295 296 297 298 299 300 303} 0} {22 {0 294 295 296 297 298 299 300 303} 0} {23 {0 294 295 296 297 298 299 300 303} 0} {24 {0 294 295 296 297 298 299 300 303} 0} {25 {0 294 295 296 297 298 299 300 303} 0} {26 {0 294 295 296 297 298 299 300 303} 0} {27 {0 294 295 296 297 298 299 300 303} 0} {28 {0 294 295 296 297 298 299 300 303} 0} {29 {0 294 295 296 297 298 299 300 303} 0} {30 {0 294 295 296 297 298 299 300 303} 0} {31 {0 294 295 296 297 298 299 300 303} 0} {32 {0 294 295 296 297 298 299 300 303} 0} {33 {0 294 295 296 297 298 299 300 303} 0} {34 {0 294 295 296 297 298 299 300 303} 0} {35 {0 294 295 296 297 298 299 300 303} 0} {36 {0 294 295 296 297 298 299 300 303} 0} {37 {0 294 295 296 297 298 299 300 303} 0} {38 {0 294 295 296 297 298 299 300 303} 0} {39 {0 303} 0} {40 {0 303} 0} {41 {0 303} 0} {42 {0 303} 0} {43 {0 303} 0} {44 {0 303} 0} {45 {0 303} 0}}
  167,trans {}
  101 {{86 {0 303} 1}}
  186,trans {}
  102 {{56 {0 303} 2}}
  103 {{59 {0 303} 2}}
  104 {{99 {0 303} 1}}
  105 {{101 {0 303} 1}}
  21,trans {{301 57}}
  106 {{94 {0 303} 1}}
  107 {{95 {0 303} 1}}
  39,trans {{263 58} {264 59} {265 60} {266 61} {267 62} {268 63} {269 64} {270 65} {271 66} {272 67} {273 68} {274 69} {275 70} {276 71} {277 72} {278 73} {279 74} {280 75} {281 76} {282 77} {283 78} {284 79} {285 80} {286 81} {287 82} {288 83} {289 84} {290 85} {291 86} {292 87} {293 88} {294 89} {295 90} {296 91} {297 92} {298 93} {299 94} {300 95} {342 120} {343 121} {344 122}}
  40,trans {{303 123}}
  108 {{96 {0 303} 1}}
  58,trans {}
  77,trans {}
  109 {{100 {0 303} 1}}
  110 {{98 {0 303} 1}}
  96,trans {{303 125}}
  7,trans {}
  111 {{97 {0 303} 1}}
  112 {{68 {0 303} 2}}
  113 {{110 {0 303} 1}}
  110,trans {}
  109,trans {}
  114 {{109 {0 303} 1}}
  128,trans {{301 179}}
  115 {{71 {0 303} 2}}
  147,trans {}
  116 {{65 {0 303} 2}}
  166,trans {}
  117 {{63 {0 303} 2}}
  185,trans {}
  118 {{50 0 2}}
  119 {{72 {0 303} 3}}
  120 {{77 {0 303} 2}}
  121 {{78 {0 303} 2} {80 {0 303} 2} {39 303 0} {40 303 0} {41 303 0} {42 303 0} {43 303 0} {44 303 0} {45 303 0}}
  122 {{79 {0 303} 2}}
  19,trans {{305 48} {335 49} {352 50}}
  20,trans {{301 43} {302 44} {324 51} {339 52} {340 53} {345 54} {355 55} {356 56}}
  123 {{76 {0 303} 2}}
  38,trans {{301 43} {302 44} {345 119}}
  124 {{103 {0 303} 2}}
  125 {{88 {0 303} 2}}
  57,trans {}
  126 {{89 {0 303} 2}}
  76,trans {}
  127 {{91 {0 303} 2}}
  95,trans {}
  6,trans {}
  128 {{90 {0 303} 2}}
  130 {{9 {0 303} 1}}
  129 {{8 {0 303} 1}}
  108,trans {}
  131 {{10 {0 303} 1}}
  127,trans {{303 178}}
  132 {{11 {0 303} 1}}
  146,trans {}
  133 {{12 {0 294 295 296 297 298 299 300 303} 1}}
  165,trans {}
  134 {{13 {0 294 295 296 297 298 299 300 303} 1}}
  184,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {341 192}}
  135 {{14 {0 294 295 296 297 298 299 300 303} 1}}
  136 {{15 {0 294 295 296 297 298 299 300 303} 1}}
  137 {{16 {0 294 295 296 297 298 299 300 303} 1}}
  138 {{17 {0 294 295 296 297 298 299 300 303} 1}}
  140 {{19 {0 294 295 296 297 298 299 300 303} 1}}
  139 {{18 {0 294 295 296 297 298 299 300 303} 1}}
  18,trans {{301 43} {302 44} {312 45} {345 46} {354 47}}
  141 {{20 {0 294 295 296 297 298 299 300 303} 1}}
  37,trans {}
  142 {{21 {0 294 295 296 297 298 299 300 303} 1}}
  56,trans {}
  143 {{22 {0 294 295 296 297 298 299 300 303} 1}}
  75,trans {}
  144 {{23 {0 294 295 296 297 298 299 300 303} 1}}
  94,trans {}
  5,trans {}
  145 {{24 {0 294 295 296 297 298 299 300 303} 1}}
  146 {{25 {0 294 295 296 297 298 299 300 303} 1}}
  107,trans {}
  147 {{26 {0 294 295 296 297 298 299 300 303} 1}}
  126,trans {{301 177}}
  148 {{27 {0 294 295 296 297 298 299 300 303} 1}}
  145,trans {}
  150 {{29 {0 294 295 296 297 298 299 300 303} 1}}
  149 {{28 {0 294 295 296 297 298 299 300 303} 1}}
  164,trans {}
  151 {{30 {0 294 295 296 297 298 299 300 303} 1}}
  183,trans {{301 191}}
  152 {{31 {0 294 295 296 297 298 299 300 303} 1}}
  153 {{32 {0 294 295 296 297 298 299 300 303} 1}}
  154 {{33 {0 294 295 296 297 298 299 300 303} 1}}
  155 {{34 {0 294 295 296 297 298 299 300 303} 1}}
  156 {{35 {0 294 295 296 297 298 299 300 303} 1}}
  17,trans {{303 42}}
  157 {{36 {0 294 295 296 297 298 299 300 303} 1}}
  36,trans {}
  158 {{37 {0 294 295 296 297 298 299 300 303} 1}}
  55,trans {}
  160 {{39 {0 303} 1}}
  159 {{38 {0 294 295 296 297 298 299 300 303} 1}}
  74,trans {}
  161 {{40 {0 303} 1}}
  93,trans {}
  4,trans {}
  162 {{41 {0 303} 1}}
  163 {{42 {0 303} 1}}
  106,trans {}
  164 {{43 {0 303} 1}}
  125,trans {{301 176}}
  165 {{44 {0 303} 1}}
  144,trans {}
  166 {{45 {0 303} 1}}
  163,trans {}
  167 {{82 {0 303} 2}}
  182,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {341 190}}
  168 {{83 {0 303} 2} {85 {0 303} 2} {39 {0 303} 0} {40 {0 303} 0} {41 {0 303} 0} {42 {0 303} 0} {43 {0 303} 0} {44 {0 303} 0} {45 {0 303} 0}}
  170 {{86 {0 303} 2}}
  169 {{84 {0 303} 2}}
  171 {{50 0 3}}
  172 {{77 {0 303} 3}}
  173 {{78 {0 303} 3}}
  16,trans {{303 39} {316 40} {349 41}}
  174 {{80 {0 303} 3}}
  35,trans {}
  175 {{79 {0 303} 3}}
  54,trans {}
  176 {{88 {0 303} 3} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  73,trans {}
  177 {{89 {0 303} 3} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  92,trans {}
  3,trans {}
  178 {{91 {0 303} 3}}
  180 {{85 {0 303} 3}}
  179 {{90 {0 303} 3} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  181 {{77 {0 303} 4} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  105,trans {}
  182 {{78 {0 303} 4} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  124,trans {}
  183 {{80 {0 303} 4}}
  143,trans {}
  184 {{79 {0 303} 4} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  162,trans {}
  181,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {341 189}}
  185 {{88 {0 303} 4}}
  186 {{89 {0 303} 4}}
  187 {{91 {0 303} 4} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  188 {{90 {0 303} 4}}
  190 {{78 {0 303} 5}}
  189 {{77 {0 303} 5}}
  15,trans {{301 36} {302 37} {345 38}}
  191 {{80 {0 303} 5} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  34,trans {}
  192 {{79 {0 303} 5}}
  53,trans {}
  193 {{91 {0 303} 5}}
  72,trans {}
  194 {{80 {0 303} 6}}
  91,trans {}
  2,trans {}
  104,trans {}
  123,trans {}
  142,trans {}
  161,trans {}
  180,trans {}
  179,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {341 188}}
  14,trans {{303 35}}
  33,trans {}
  52,trans {}
  71,trans {}
  90,trans {}
  89,trans {}
  1,trans {}
  103,trans {}
  122,trans {{303 175}}
  141,trans {}
  160,trans {}
  159,trans {}
  178,trans {{301 187}}
  13,trans {}
  32,trans {{347 118}}
  51,trans {}
  70,trans {}
  69,trans {}
  88,trans {}
  0,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {306 7} {307 8} {308 9} {309 10} {310 11} {311 12} {313 13} {316 14} {317 15} {319 16} {320 17} {322 18} {323 19} {325 20} {326 21} {327 22} {328 23} {330 24} {331 25} {332 26} {333 27} {335 28} {338 29} {341 30} {346 31} {348 32}}
  102,trans {}
  121,trans {{294 89} {295 90} {296 91} {297 92} {298 93} {299 94} {300 95} {303 173} {344 174}}
  140,trans {}
  139,trans {}
  158,trans {}
  177,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {341 186}}
  12,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {341 34}}
  31,trans {}
  49,trans {}
  50,trans {}
  68,trans {}
  87,trans {}
  101,trans {{303 170}}
  120,trans {{303 172}}
  119,trans {}
  138,trans {}
  157,trans {}
  10 {{57 {0 303} 1}}
  176,trans {{257 1} {258 2} {259 3} {260 4} {261 5} {262 6} {341 185}}
  11 {{60 {0 303} 1}}
  12 {{64 {0 303} 1} {1 {0 303} 0} {2 {0 303} 0} {3 {0 303} 0} {4 {0 303} 0} {5 {0 303} 0} {6 {0 303} 0} {7 {0 303} 0}}
  13 {{74 {0 303} 1}}
  14 {{73 {0 303} 1}}
  11,trans {}
  15 {{72 {0 303} 1} {46 {301 302} 0} {47 {301 302} 0}}
  16 {{55 {0 303} 1} {75 {0 303} 0} {76 {0 303} 0} {77 {0 303} 0} {78 {0 303} 0} {79 {0 303} 0} {80 {0 303} 0}}
  29,trans {{301 117}}
  30,trans {}
  17 {{58 {0 303} 1}}
  48,trans {}
  67,trans {}
  18 {{69 {0 303} 1} {102 {0 303} 0} {103 {0 303} 0} {46 {0 303} 0} {47 {0 303} 0}}
  86,trans {}
  20 {{70 {0 303} 1} {104 {0 303} 0} {105 {0 303} 0} {46 {0 303} 0} {47 {0 303} 0} {106 {0 303} 0} {107 {0 303} 0} {108 {0 303} 0}}
  19 {{66 {0 303} 1} {92 {0 303} 0} {93 {0 303} 0}}
  21 {{67 {0 303} 1}}
  22 {{52 {0 303} 1}}
  100,trans {{263 129} {264 130} {265 131} {266 132} {267 133} {268 134} {269 135} {270 136} {271 137} {272 138} {273 139} {274 140} {275 141} {276 142} {277 143} {278 144} {279 145} {280 146} {281 147} {282 148} {283 149} {284 150} {285 151} {286 152} {287 153} {288 154} {289 155} {290 156} {291 157} {292 158} {293 159} {294 160} {295 161} {296 162} {297 163} {298 164} {299 165} {300 166} {342 167} {343 168} {344 169}}
  23 {{61 {0 303} 1} {87 {0 303} 0} {88 {0 303} 0} {89 {0 303} 0} {90 {0 303} 0} {91 {0 303} 0} {8 303 0} {9 303 0} {10 303 0} {11 303 0} {12 {294 295 296 297 298 299 300 303} 0} {13 {294 295 296 297 298 299 300 303} 0} {14 {294 295 296 297 298 299 300 303} 0} {15 {294 295 296 297 298 299 300 303} 0} {16 {294 295 296 297 298 299 300 303} 0} {17 {294 295 296 297 298 299 300 303} 0} {18 {294 295 296 297 298 299 300 303} 0} {19 {294 295 296 297 298 299 300 303} 0} {20 {294 295 296 297 298 299 300 303} 0} {21 {294 295 296 297 298 299 300 303} 0} {22 {294 295 296 297 298 299 300 303} 0} {23 {294 295 296 297 298 299 300 303} 0} {24 {294 295 296 297 298 299 300 303} 0} {25 {294 295 296 297 298 299 300 303} 0} {26 {294 295 296 297 298 299 300 303} 0} {27 {294 295 296 297 298 299 300 303} 0} {28 {294 295 296 297 298 299 300 303} 0} {29 {294 295 296 297 298 299 300 303} 0} {30 {294 295 296 297 298 299 300 303} 0} {31 {294 295 296 297 298 299 300 303} 0} {32 {294 295 296 297 298 299 300 303} 0} {33 {294 295 296 297 298 299 300 303} 0} {34 {294 295 296 297 298 299 300 303} 0} {35 {294 295 296 297 298 299 300 303} 0} {36 {294 295 296 297 298 299 300 303} 0} {37 {294 295 296 297 298 299 300 303} 0} {38 {294 295 296 297 298 299 300 303} 0} {39 303 0} {40 303 0} {41 303 0} {42 303 0} {43 303 0} {44 303 0} {45 303 0}}
  118,trans {{303 171}}
  24 {{56 {0 303} 1} {81 {0 303} 0} {82 {0 303} 0} {83 {0 303} 0} {84 {0 303} 0} {85 {0 303} 0} {86 {0 303} 0}}
  137,trans {}
  25 {{59 {0 303} 1}}
  156,trans {}
  26 {{68 {0 303} 1} {94 {0 303} 0} {95 {0 303} 0} {96 {0 303} 0} {97 {0 303} 0} {98 {0 303} 0} {99 {0 303} 0} {100 {0 303} 0} {101 {0 303} 0}}
  175,trans {{301 184}}
  27 {{71 {0 303} 1} {109 {0 303} 0} {110 {0 303} 0}}
  194,trans {}
  28 {{65 {0 303} 1}}
  30 {{51 {0 303} 1}}
  29 {{63 {0 303} 1}}
  31 {{0 0 1}}
  10,trans {}
  32 {{48 0 1} {50 0 1} {49 303 0}}
  33 {{62 {0 303} 2}}
  28,trans {{301 116}}
  34 {{64 {0 303} 2}}
  47,trans {}
}

array set contour::token_id_table {
  286 WCSS_
  286,t 0
  287 WCST_
  292,line 44
  302,line 56
  288 WCSU_
  357,line 300
  317,t 0
  265,title AMPLIFIER
  289 WCSV_
  290 WCSW_
  300 ECLIPTIC_
  284,title WCSQ
  291 WCSX_
  301 INT_
  313,title GENERATE
  292 WCSY_
  302 REAL_
  338,t 0
  332,title SCALE
  288,line 40
  293 WCSZ_
  303 STRING_
  351,title {}
  294 FK4_
  304 ASINH_
  354,line 287
  305 BLOCK_
  295 B1950_
  306 CLEAR_
  296 FK5_
  307 CLOSE_
  262,t 0
  297 J2000_
  308 COLOR_
  285,line 37
  298 ICRS_
  310 COPY_
  309 CONVERT_
  299 GALACTIC_
  351,line 263
  311 DASH_
  283,t 0
  312 EXP_
  313 GENERATE_
  314,t 0
  314 GLOBAL_
  282,line 34
  315 HISTEQU_
  347,line 208
  316 LEVELS_
  264,title PHYSICAL
  335,t 0
  317 LIMITS_
  283,title WCSP
  318 LINEAR_
  312,title EXP
  331,title SAVELEVELS
  320 LOADLEVELS_
  319 LOAD_
  278,line 30
  356,t 1
  350,title {}
  349,title {}
  error,line 153
  321 LOCAL_
  344,line 195
  322 LOG_
  258,t 0
  323 METHOD_
  324 MINMAX_
  325 MODE_
  275,line 27
  279,t 0
  280,t 0
  326 NLEVELS_
  341,line 154
  327 OPEN_
  328 PASTE_
  311,t 0
  330 SAVE_
  329 POW_
  331 SAVELEVELS_
  272,line 24
  332,t 0
  332 SCALE_
  337,line 95
  333 SCOPE_
  263,title IMAGE
  334 SINH_
  282,title WCSO
  353,t 1
  335 SMOOTH_
  311,title DASH
  336 SQRT_
  330,title SAVE
  329,title POW
  268,line 20
  348,title {}
  337 SQUARED_
  338 WIDTH_
  334,line 92
  340 ZSCALE_
  339 ZMAX_
  276,t 0
  341 yesno
  342 coordsys
  265,line 16
  343 wcssys
  307,t 0
  297,t 0
  344 skyframe
  331,line 89
  345 numeric
  346 command
  328,t 0
  347 @PSEUDO1
  262,line 12
  348 contour
  350,t 1
  350 save
  349,t 1
  349 load
  0,t 0
  0 {$}
  327,line 85
  262,title FALSE
  351 paste
  281,title WCSN
  352 method
  error,t 0
  310,title COPY
  309,title CONVERT
  299,title GALACTIC
  353 scale
  328,title PASTE
  258,line 8
  354 log
  347,title {}
  273,t 0
  355 modes
  324,line 82
  356 mode
  357 scope
  294,t 0
  304,t 0
  358 start'
  325,t 0
  321,line 79
  346,t 1
  317,line 75
  261,title TRUE
  279,title WCSL
  280,title WCSM
  308,title COLOR
  269,t 0
  270,t 0
  298,title ICRS
  327,title OPEN
  346,title {}
  314,line 72
  291,t 0
  301,t 0
  322,t 0
  311,line 69
  343,t 1
  307,line 65
  266,t 0
  260,title OFF
  259,title ON
  297,line 50
  278,title WCSK
  307,title CLOSE
  297,title J2000
  326,title NLEVELS
  287,t 0
  345,title {}
  294,line 47
  304,line 62
  318,t 0
  340,t 0
  339,t 0
  error,title {}
  291,line 43
  301,line 55
  356,line 295
  263,t 0
  258,title NO
  287,line 39
  277,title WCSJ
  284,t 0
  353,line 277
  306,title CLEAR
  296,title FK5
  325,title MODE
  344,title {}
  315,t 0
  284,line 36
  350,line 252
  349,line 241
  336,t 0
  357,t 1
  281,line 33
  260,t 0
  259,t 0
  346,line 207
  281,t 0
  257,title YES
  277,line 29
  276,title WCSI
  343,line 167
  312,t 0
  305,title BLOCK
  295,title B1950
  324,title MINMAX
  343,title {}
  333,t 0
  274,line 26
  340,line 98
  339,line 97
  354,t 1
  271,line 23
  336,line 94
  277,t 0
  308,t 0
  267,line 19
  298,t 0
  275,title WCSH
  333,line 91
  294,title FK4
  304,title ASINH
  330,t 0
  329,t 0
  323,title METHOD
  342,title {}
  264,line 15
  351,t 1
  330,line 88
  329,line 87
  261,line 11
  274,t 0
  326,line 84
  305,t 0
  295,t 0
  257,line 7
  326,t 0
  274,title WCSG
  323,line 81
  293,title WCSZ
  303,title string
  322,title LOG
  347,t 1
  341,title {}
  320,line 78
  319,line 77
  error error
  271,t 0
  292,t 0
  302,t 0
  316,line 74
  323,t 0
  273,title WCSF
  344,t 1
  313,line 71
  292,title WCSY
  302,title float
  321,title LOCAL
  340,title ZSCALE
  339,title ZMAX
  358,title {}
  267,t 0
  310,line 68
  309,line 67
  299,line 52
  288,t 0
  320,t 0
  319,t 0
  306,line 64
  296,line 49
  341,t 1
  272,title WCSE
  291,title WCSX
  293,line 45
  301,title integer
  303,line 58
  320,title LOADLEVELS
  319,title LOAD
  358,line 303
  338,title WIDTH
  264,t 0
  357,title {}
  285,t 0
  289,line 41
  290,line 42
  300,line 53
  355,line 291
  316,t 0
  286,line 38
  337,t 0
  352,line 273
  358,t 1
  271,title WCSD
  261,t 0
  283,line 35
  289,title WCSV
  290,title WCSW
  300,title ECLIPTIC
  318,title LINEAR
  348,line 211
  337,title SQUARED
  356,title {}
  282,t 0
  279,line 31
  280,line 32
  313,t 0
  345,line 203
  334,t 0
  276,line 28
  355,t 1
  342,line 162
  257,t 0
  269,title WCSB
  270,title WCSC
  273,line 25
  288,title WCSU
  317,title LIMITS
  278,t 0
  338,line 96
  336,title SQRT
  355,title {}
  310,t 0
  309,t 0
  299,t 0
  269,line 21
  270,line 22
  335,line 93
  331,t 0
  352,t 1
  266,line 17
  332,line 90
  268,title WCSA
  275,t 0
  263,line 14
  287,title WCST
  316,title LEVELS
  335,title SMOOTH
  328,line 86
  306,t 0
  296,t 0
  354,title {}
  327,t 0
  260,line 10
  259,line 9
  325,line 83
  348,t 1
  322,line 80
  272,t 0
  267,title WCS
  257 YES_
  286,title WCSS
  293,t 0
  303,t 0
  315,title HISTEQU
  258 NO_
  334,title SINH
  318,line 76
  260 OFF_
  259 ON_
  353,title {}
  324,t 0
  261 TRUE_
  262 FALSE_
  263 IMAGE_
  345,t 1
  264 PHYSICAL_
  315,line 73
  265 AMPLIFIER_
  266 DETECTOR_
  267 WCS_
  268,t 0
  268 WCSA_
  269 WCSB_
  270 WCSC_
  312,line 70
  271 WCSD_
  272 WCSE_
  289,t 0
  290,t 0
  300,t 0
  266,title DETECTOR
  273 WCSF_
  274 WCSG_
  285,title WCSR
  321,t 0
  314,title GLOBAL
  275 WCSH_
  333,title SCOPE
  308,line 66
  276 WCSI_
  298,line 51
  352,title {}
  277 WCSJ_
  342,t 1
  278 WCSK_
  279 WCSL_
  280 WCSM_
  281 WCSN_
  305,line 63
  282 WCSO_
  295,line 48
  265,t 0
  283 WCSP_
  284 WCSQ_
  285 WCSR_
}

proc contour::yyparse {} {
    variable yylval
    variable table
    variable rules
    variable token
    variable yycnt
    variable lr1_table
    variable token_id_table
    variable yyerr
    variable save_state

    set yycnt 0
    set state_stack {0}
    set value_stack {{}}
    set token ""
    set accepted 0
    set yyerr 0
    set save_state 0

    while {$accepted == 0} {
        set state [lindex $state_stack end]
        if {$token == ""} {
            set yylval ""
            set token [yylex]
            set buflval $yylval
	    if {$token>0} {
	        incr yycnt
            }
        }
        if {![info exists table($state:$token)] || $yyerr} {
	    if {!$yyerr} {
	        set save_state $state
	    }
            # pop off states until error token accepted
            while {[llength $state_stack] > 0 && \
                       ![info exists table($state:error)]} {
                set state_stack [lrange $state_stack 0 end-1]
                set value_stack [lrange $value_stack 0 \
                                       [expr {[llength $state_stack] - 1}]]
                set state [lindex $state_stack end]
            }
            if {[llength $state_stack] == 0} {
 
	        set rr { }
                if {[info exists lr1_table($save_state,trans)] && [llength $lr1_table($save_state,trans)] >= 1} {
                    foreach trans $lr1_table($save_state,trans) {
                        foreach {tok_id nextstate} $trans {
			    set ss $token_id_table($tok_id,title)
			    if {$ss != {}} {
			        append rr "$ss, "
                            }
                        }
                    }
                }
		set rr [string trimleft $rr { }]
		set rr [string trimright $rr {, }]
                yyerror "parse error, expecting: $rr"


                return 1
            }
            lappend state_stack [set state $table($state:error,target)]
            lappend value_stack {}
            # consume tokens until it finds an acceptable one
            while {![info exists table($state:$token)]} {
                if {$token == 0} {
                    yyerror "end of file while recovering from error"
                    return 1
                }
                set yylval {}
                set token [yylex]
                set buflval $yylval
            }
            continue
        }
        switch -- $table($state:$token) {
            shift {
                lappend state_stack $table($state:$token,target)
                lappend value_stack $buflval
                set token ""
            }
            reduce {
                set rule $table($state:$token,target)
                set ll $rules($rule,l)
                if {[info exists rules($rule,e)]} {
                    set dc $rules($rule,e)
                } else {
                    set dc $rules($rule,dc)
                }
                set stackpointer [expr {[llength $state_stack]-$dc}]
                setupvalues $value_stack $stackpointer $dc
                set _ $1
                set yylval [lindex $value_stack end]
                switch -- $rule {
                    1 { set _ 1 }
                    2 { set _ 1 }
                    3 { set _ 1 }
                    4 { set _ 1 }
                    5 { set _ 0 }
                    6 { set _ 0 }
                    7 { set _ 0 }
                    8 { set _ image }
                    9 { set _ physical }
                    10 { set _ amplifier }
                    11 { set _ detector }
                    12 { set _ wcs }
                    13 { set _ wcsa }
                    14 { set _ wcsb }
                    15 { set _ wcsc }
                    16 { set _ wcsd }
                    17 { set _ wcse }
                    18 { set _ wcsf }
                    19 { set _ wcsg }
                    20 { set _ wcsh }
                    21 { set _ wcsi }
                    22 { set _ wcsj }
                    23 { set _ wcsk }
                    24 { set _ wcsl }
                    25 { set _ wcsm }
                    26 { set _ wcsn }
                    27 { set _ wcso }
                    28 { set _ wcsp }
                    29 { set _ wcsq }
                    30 { set _ wcsr }
                    31 { set _ wcss }
                    32 { set _ wcst }
                    33 { set _ wcsu }
                    34 { set _ wcsv }
                    35 { set _ wcsw }
                    36 { set _ wcsx }
                    37 { set _ wcsy }
                    38 { set _ wcsz }
                    39 { set _ fk4 }
                    40 { set _ fk4 }
                    41 { set _ fk5 }
                    42 { set _ fk5 }
                    43 { set _ icrs }
                    44 { set _ galactic }
                    45 { set _ ecliptic }
                    46 { set _ $1 }
                    47 { set _ $1 }
                    49 { global ds9; if {!$ds9(init)} {YYERROR} else {yyclearin; YYACCEPT} }
                    51 { ProcessCmdSet contour view $1 UpdateContour }
                    52 { ContourDialog }
                    53 { ContourDestroyDialog }
                    54 { ContourOffDialog }
                    57 { Contour2Polygons }
                    58 { ContourCmdLoadLevels $2 }
                    59 { ContourCmdSaveLevels $2 }
                    60 { ContourCCopyDialog }
                    62 { ContourDialog; ProcessCmdSet contour color $2 UpdateContour }
                    63 { ContourDialog; ProcessCmdSet contour width $2 UpdateContour }
                    64 { ContourDialog; ProcessCmdSet contour dash $2 UpdateContour }
                    65 { ContourCmdGenerateDialog smooth $2 }
                    66 { ContourCmdGenerateDialog method $2 }
                    67 { ContourCmdGenerateDialog numlevel $2 }
                    68 { ContourCmdScale scale $2 }
                    71 { ContourCmdMode scope $2 }
                    72 { ContourCmdLimits $2 $3 }
                    73 { ContourCmdLevels $2 }
                    74 { ContourDialog; ContourGenerateDialog; UpdateContour }
                    75 { ContourCmdLoad $1 }
                    76 { ContourCmdLoadLevels $2 }
                    77 { ContourCmdLoadOrg $1 $2 fk5 $3 $4 $5 }
                    78 { ContourCmdLoadOrg $1 $2 fk5 $3 $4 $5 }
                    79 { ContourCmdLoadOrg $1 wcs $2 $3 $4 $5 }
                    80 { ContourCmdLoadOrg $1 $2 $3 $4 $5 $6 }
                    81 { ContourCmdSave $1 physical fk5 }
                    82 { ContourCmdSave $1 $2 fk5 }
                    83 { ContourCmdSave $1 $2 fk5 }
                    84 { ContourCmdSave $1 wcs $2 }
                    85 { ContourCmdSave $1 $2 $3 }
                    86 { ContourCmdSaveLevels $2 }
                    87 { ContourCmdPaste wcs fk5 green 1 no }
                    88 { ContourCmdPaste $1 fk5 $2 $3 $4 }
                    89 { ContourCmdPaste $1 fk5 $2 $3 $4 }
                    90 { ContourCmdPaste wcs $1 $2 $3 $4 }
                    91 { ContourCmdPaste $1 $2 $3 $4 $5 }
                    92 { set _ block }
                    93 { set _ smooth }
                    94 { set _ linear }
                    95 { set _ log }
                    96 { set _ pow }
                    97 { set _ squared }
                    98 { set _ sqrt }
                    99 { set _ asinh }
                    100 { set _ sinh }
                    101 { set _ histequ }
                    102 { ContourCmdScale log $1 }
                    103 { ContourCmdScale log $2 }
                    104 { ContourCmdMode mode $1 }
                    105 { ContourCmdMode mode $1 }
                    106 { set _ minmax }
                    107 { set _ zscale }
                    108 { set _ zmax }
                    109 { set _ local }
                    110 { set _ global }
                }
                unsetupvalues $dc
                # pop off tokens from the stack if normal rule
                if {![info exists rules($rule,e)]} {
                    incr stackpointer -1
                    set state_stack [lrange $state_stack 0 $stackpointer]
                    set value_stack [lrange $value_stack 0 $stackpointer]
                }
                # now do the goto transition
                lappend state_stack $table([lindex $state_stack end]:$ll,target)
                lappend value_stack $_
            }
            accept {
                set accepted 1
            }
            goto -
            default {
                puts stderr "Internal parser error: illegal command $table($state:$token)"
                return 2
            }
        }
    }
    return 0
}

######
# end autogenerated taccle functions
######

proc contour::yyerror {msg} {
     variable yycnt
     variable yy_current_buffer
     variable index_

     ParserError $msg $yycnt $yy_current_buffer $index_
}
