
######
# Begin autogenerated taccle (version 1.3) routines.
# Although taccle itself is protected by the GNU Public License (GPL)
# all user-supplied functions are protected by their respective
# author's license.  See http://mini.net/tcl/taccle for other details.
######

namespace eval mask {
    variable yylval {}
    variable table
    variable rules
    variable token {}
    variable yycnt 0
    variable yyerr 0
    variable save_state 0

    namespace export yylex
}

proc mask::YYABORT {} {
    return -code return 1
}

proc mask::YYACCEPT {} {
    return -code return 0
}

proc mask::YYERROR {} {
    variable yyerr
    set yyerr 1
}

proc mask::yyclearin {} {
    variable token
    variable yycnt
    set token {}
    incr yycnt -1
}

proc mask::yyerror {s} {
    puts stderr $s
}

proc mask::setupvalues {stack pointer numsyms} {
    upvar 1 1 y
    set y {}
    for {set i 1} {$i <= $numsyms} {incr i} {
        upvar 1 $i y
        set y [lindex $stack $pointer]
        incr pointer
    }
}

proc mask::unsetupvalues {numsyms} {
    for {set i 1} {$i <= $numsyms} {incr i} {
        upvar 1 $i y
        unset y
    }
}

array set mask::table {
  0:259 reduce
  0:260 shift
  5:0,target 7
  15:0,target 5
  9:0 reduce
  0:261 shift
  11:0 reduce
  0:262 shift
  2:259 reduce
  4:257 shift
  0:263 shift
  0:264 shift
  1:259,target 9
  6:257 shift
  0:265 shift
  6:258 shift
  15:0 reduce
  13:259,target 12
  0:267 goto
  8:259 reduce
  0:265,target 6
  6:258,target 12
  0:269 goto
  2:0 reduce
  9:259,target 10
  6:266 goto
  0:264,target 5
  6:257,target 11
  8:268 goto
  7:0,target 0
  12:0 reduce
  0:0,target 6
  10:0,target 11
  11:259,target 1
  0:263,target 4
  6:266,target 13
  10:259 reduce
  12:259 reduce
  8:0,target 3
  1:0,target 9
  14:259 shift
  11:0,target 1
  0:262,target 3
  2:259,target 8
  4:257,target 10
  7:0 accept
  14:259,target 15
  1:259 reduce
  3:259 shift
  13:0 reduce
  9:0,target 10
  0:261,target 2
  2:0,target 8
  5:259 reduce
  12:0,target 2
  0:0 reduce
  5:259,target 7
  9:259 reduce
  0:259,target 6
  0:260,target 1
  0:269,target 8
  12:259,target 2
  13:0,target 12
  8:0 reduce
  10:0 reduce
  8:259,target 4
  3:259,target 9
  1:0 reduce
  11:259 reduce
  0:267,target 7
  8:268,target 14
  13:259 reduce
  10:259,target 11
  5:0 reduce
}

array set mask::rules {
  9,l 269
  11,l 269
  2,l 266
  6,l 269
  12,l 269
  3,l 267
  7,l 269
  0,l 270
  4,l 268
  8,l 269
  10,l 269
  1,l 266
  5,l 267
}

array set mask::rules {
  5,dc 3
  0,dc 1
  12,dc 2
  8,dc 1
  3,dc 1
  10,dc 2
  6,dc 0
  1,dc 1
  9,dc 1
  4,dc 0
  11,dc 2
  7,dc 1
  2,dc 1
}

array set mask::rules {
  7,line 36
  10,line 39
  4,line 31
  1,line 27
  9,line 38
  12,line 41
  6,line 35
  3,line 31
  4,e 1
  8,line 37
  11,line 40
  5,line 32
  2,line 28
}

array set mask::lr1_table {
  13,trans {}
  0 {{0 0 0} {3 0 0} {5 0 0} {6 {0 259} 0} {7 {0 259} 0} {8 {0 259} 0} {9 {0 259} 0} {10 {0 259} 0} {11 {0 259} 0} {12 {0 259} 0}}
  14,trans {{259 15}}
  1 {{9 {0 259} 1}}
  15,trans {}
  2 {{8 {0 259} 1}}
  3 {{10 {0 259} 1}}
  4 {{11 {0 259} 1}}
  0,trans {{260 1} {261 2} {262 3} {263 4} {264 5} {265 6} {267 7} {269 8}}
  5 {{7 {0 259} 1}}
  1,trans {}
  6 {{12 {0 259} 1} {1 {0 259} 0} {2 {0 259} 0}}
  2,trans {}
  3,trans {{259 9}}
  7 {{0 0 1}}
  4,trans {{257 10}}
  8 {{3 0 1} {5 0 1} {4 259 0}}
  5,trans {}
  10 {{11 {0 259} 2}}
  9 {{10 {0 259} 2}}
  6,trans {{257 11} {258 12} {266 13}}
  11 {{1 {0 259} 1}}
  7,trans {}
  12 {{2 {0 259} 1}}
  8,trans {{268 14}}
  13 {{12 {0 259} 2}}
  10,trans {}
  9,trans {}
  14 {{5 0 2}}
  15 {{5 0 3}}
  11,trans {}
  12,trans {}
}

array set mask::token_id_table {
  264,line 18
  270,t 1
  269,t 1
  265,title TRANSPARENCY
  261,line 15
  257,t 0
  270,title {}
  269,title {}
  257,line 7
  262,t 0
  270,line 42
  269,line 34
  259,title string
  260,title CLEAR
  266,t 1
  264,title OPEN
  error error
  266,line 26
  268,title {}
  error,line 25
  258,t 0
  263,line 17
  error,title {}
  263,t 0
  259,line 10
  260,line 14
  258,title float
  267,t 1
  263,title MARK
  268,line 31
  267,title {}
  257 INT_
  258 REAL_
  259,t 0
  259 STRING_
  260 CLEAR_
  260,t 0
  261 CLOSE_
  265,line 19
  262 COLOR_
  263 MARK_
  257,title integer
  264 OPEN_
  264,t 0
  265 TRANSPARENCY_
  262,line 16
  266 numeric
  267 command
  268,t 1
  268 @PSEUDO1
  262,title COLOR
  0 {$}
  0,t 0
  270 start'
  269 mask
  error,t 0
  258,line 8
  266,title {}
  261,t 0
  267,line 30
  265,t 0
  261,title CLOSE
}

proc mask::yyparse {} {
    variable yylval
    variable table
    variable rules
    variable token
    variable yycnt
    variable lr1_table
    variable token_id_table
    variable yyerr
    variable save_state

    set yycnt 0
    set state_stack {0}
    set value_stack {{}}
    set token ""
    set accepted 0
    set yyerr 0
    set save_state 0

    while {$accepted == 0} {
        set state [lindex $state_stack end]
        if {$token == ""} {
            set yylval ""
            set token [yylex]
            set buflval $yylval
	    if {$token>0} {
	        incr yycnt
            }
        }
        if {![info exists table($state:$token)] || $yyerr} {
	    if {!$yyerr} {
	        set save_state $state
	    }
            # pop off states until error token accepted
            while {[llength $state_stack] > 0 && \
                       ![info exists table($state:error)]} {
                set state_stack [lrange $state_stack 0 end-1]
                set value_stack [lrange $value_stack 0 \
                                       [expr {[llength $state_stack] - 1}]]
                set state [lindex $state_stack end]
            }
            if {[llength $state_stack] == 0} {
 
	        set rr { }
                if {[info exists lr1_table($save_state,trans)] && [llength $lr1_table($save_state,trans)] >= 1} {
                    foreach trans $lr1_table($save_state,trans) {
                        foreach {tok_id nextstate} $trans {
			    set ss $token_id_table($tok_id,title)
			    if {$ss != {}} {
			        append rr "$ss, "
                            }
                        }
                    }
                }
		set rr [string trimleft $rr { }]
		set rr [string trimright $rr {, }]
                yyerror "parse error, expecting: $rr"


                return 1
            }
            lappend state_stack [set state $table($state:error,target)]
            lappend value_stack {}
            # consume tokens until it finds an acceptable one
            while {![info exists table($state:$token)]} {
                if {$token == 0} {
                    yyerror "end of file while recovering from error"
                    return 1
                }
                set yylval {}
                set token [yylex]
                set buflval $yylval
            }
            continue
        }
        switch -- $table($state:$token) {
            shift {
                lappend state_stack $table($state:$token,target)
                lappend value_stack $buflval
                set token ""
            }
            reduce {
                set rule $table($state:$token,target)
                set ll $rules($rule,l)
                if {[info exists rules($rule,e)]} {
                    set dc $rules($rule,e)
                } else {
                    set dc $rules($rule,dc)
                }
                set stackpointer [expr {[llength $state_stack]-$dc}]
                setupvalues $value_stack $stackpointer $dc
                set _ $1
                set yylval [lindex $value_stack end]
                switch -- $rule {
                    1 { set _ $1 }
                    2 { set _ $1 }
                    4 { global ds9; if {!$ds9(init)} {YYERROR} else {yyclearin; YYACCEPT} }
                    6 { global parse; set parse(result) mask }
                    7 { MaskDialog }
                    8 { MaskDestroyDialog }
                    9 { MaskClear }
                    10 { ProcessCmdSet mask color $2 MaskColor }
                    11 { ProcessCmdSet mask mark $2 MaskMark }
                    12 { ProcessCmdSet mask transparency $2 MaskTransparency }
                }
                unsetupvalues $dc
                # pop off tokens from the stack if normal rule
                if {![info exists rules($rule,e)]} {
                    incr stackpointer -1
                    set state_stack [lrange $state_stack 0 $stackpointer]
                    set value_stack [lrange $value_stack 0 $stackpointer]
                }
                # now do the goto transition
                lappend state_stack $table([lindex $state_stack end]:$ll,target)
                lappend value_stack $_
            }
            accept {
                set accepted 1
            }
            goto -
            default {
                puts stderr "Internal parser error: illegal command $table($state:$token)"
                return 2
            }
        }
    }
    return 0
}

######
# end autogenerated taccle functions
######

proc mask::yyerror {msg} {
     variable yycnt
     variable yy_current_buffer
     variable index_

     ParserError $msg $yycnt $yy_current_buffer $index_
}
