
######
# Begin autogenerated taccle (version 1.3) routines.
# Although taccle itself is protected by the GNU Public License (GPL)
# all user-supplied functions are protected by their respective
# author's license.  See http://mini.net/tcl/taccle for other details.
######

namespace eval plotsend {
    variable yylval {}
    variable table
    variable rules
    variable token {}
    variable yycnt 0
    variable yyerr 0
    variable save_state 0

    namespace export yylex
}

proc plotsend::YYABORT {} {
    return -code return 1
}

proc plotsend::YYACCEPT {} {
    return -code return 0
}

proc plotsend::YYERROR {} {
    variable yyerr
    set yyerr 1
}

proc plotsend::yyclearin {} {
    variable token
    variable yycnt
    set token {}
    incr yycnt -1
}

proc plotsend::yyerror {s} {
    puts stderr $s
}

proc plotsend::setupvalues {stack pointer numsyms} {
    upvar 1 1 y
    set y {}
    for {set i 1} {$i <= $numsyms} {incr i} {
        upvar 1 $i y
        set y [lindex $stack $pointer]
        incr pointer
    }
}

proc plotsend::unsetupvalues {numsyms} {
    for {set i 1} {$i <= $numsyms} {incr i} {
        upvar 1 $i y
        unset y
    }
}

array set plotsend::table {
  40:285,target 9
  39:285,target 7
  1:292 reduce
  1:293 reduce
  1:303 reduce
  38:274 shift
  1:294 reduce
  30:300,target 58
  27:0 reduce
  12:317,target 49
  33:261,target 59
  4:272,target 11
  1:297 reduce
  48:0 reduce
  0:306,target 2
  1:308 goto
  1:298 reduce
  6:309,target 43
  1:299 reduce
  3:267,target 7
  38:260,target 64
  38:259,target 63
  30:300 reduce
  12:317 goto
  70:0 reduce
  69:0 reduce
  30:302 reduce
  32:296,target 55
  0:275,target 2
  2:0 accept
  30:295 reduce
  4:301,target 26
  4:291,target 19
  72:0,target 37
  31:302,target 56
  30:296 reduce
  64:0,target 49
  56:0,target 10
  38:300 shift
  35:257 reduce
  24:0 reduce
  48:0,target 25
  35:258 reduce
  21:318 goto
  1:308,target 4
  1:298,target 4
  41:0,target 6
  38:302 shift
  35:260 reduce
  35:259 reduce
  33:258,target 59
  4:270,target 9
  4:269,target 8
  45:0 reduce
  35:261 reduce
  6:x,target 41
  25:0,target 13
  0:294,target 2
  38:295 shift
  26:305,target 57
  17:0,target 15
  66:0 reduce
  38:296 shift
  38:257,target 61
  21:275,target 53
  10:0,target 34
  41:285,target 6
  0:273,target 2
  31:300,target 56
  34:261,target 60
  26:281 shift
  21:0 reduce
  35:274 reduce
  42:0 reduce
  4:267,target 7
  0:292,target 2
  63:0 reduce
  3:257 shift
  33:296,target 59
  1:275,target 4
  5:301,target 36
  32:302,target 55
  0:271,target 2
  38:295,target 67
  26:304 shift
  3:264 shift
  40:278,target 9
  39:278,target 7
  26:305 shift
  17:0 reduce
  34:258,target 60
  6:309 goto
  3:267 shift
  38:274,target 66
  35:300 reduce
  32:257 reduce
  1:294,target 4
  32:258 reduce
  26:310 goto
  26:309 goto
  6:312 goto
  3:269 shift
  3:270 shift
  35:302 reduce
  32:260 reduce
  32:259 reduce
  3:271 shift
  60:0 reduce
  59:0 reduce
  32:261 reduce
  0:289,target 2
  3:272 shift
  3:273 shift
  76:0,target 40
  42:285,target 8
  35:295 reduce
  1:273,target 4
  68:0,target 52
  35:296 reduce
  3:275 shift
  61:0,target 44
  26:316 goto
  5:288,target 35
  3:276 shift
  53:0,target 70
  32:300,target 55
  3:311,target 28
  45:0,target 66
  35:261,target 57
  37:0,target 18
  14:0 reduce
  29:0,target 5
  3:281 shift
  22:0,target 21
  41:263 reduce
  14:0,target 24
  3:283 shift
  1:292,target 4
  32:274 reduce
  56:0 reduce
  34:296,target 60
  0:287,target 2
  3:287 shift
  77:0 reduce
  33:302,target 59
  30:260,target 58
  30:259,target 58
  0:257 reduce
  1:271,target 4
  3:289 shift
  3:301 shift
  3:291 shift
  3:292 shift
  41:278,target 6
  9:0 reduce
  3:298,target 24
  3:293 shift
  3:303 shift
  35:258,target 57
  21:318,target 54
  11:268 shift
  11:0 reduce
  0:262 shift
  3:294 shift
  26:X,target 39
  11:269 shift
  0:264 reduce
  41:277 reduce
  5:265,target 30
  3:297 shift
  41:278 reduce
  3:298 shift
  41:279 reduce
  0:267 reduce
  1:289,target 4
  3:299 shift
  53:0 reduce
  32:300 reduce
  3:311 goto
  43:285,target 76
  5:315,target 38
  0:270 reduce
  0:269 reduce
  32:302 reduce
  0:271 reduce
  74:0 reduce
  41:284 reduce
  0:272 reduce
  41:285 reduce
  33:300,target 59
  30:257,target 58
  0:273 reduce
  4:311,target 29
  41:286 reduce
  36:261,target 54
  32:295 reduce
  32:296 reduce
  0:275 reduce
  0:276 reduce
  0:264,target 2
  28:0 reduce
  7:0,target 20
  0:281 reduce
  0:0,target 1
  35:296,target 57
  3:275,target 13
  73:0,target 41
  50:0 reduce
  49:0 reduce
  0:283 reduce
  1:287,target 4
  65:0,target 47
  57:0,target 11
  34:302,target 60
  31:260,target 56
  31:259,target 56
  71:0 reduce
  50:0,target 43
  49:0,target 26
  11:303 shift
  0:283,target 2
  42:0,target 8
  0:287 reduce
  42:278,target 8
  4:298,target 24
  36:258,target 54
  26:0,target 61
  0:289 reduce
  18:0,target 27
  5:282,target 34
  0:291 reduce
  0:301 reduce
  11:268,target 45
  11:0,target 65
  0:292 reduce
  0:262,target 1
  3:294,target 22
  30:295,target 58
  0:293 reduce
  0:303 reduce
  25:0 reduce
  0:294 reduce
  0:306 goto
  46:0 reduce
  0:297 reduce
  0:307 goto
  3:273,target 12
  30:274,target 58
  26:x,target 41
  0:298 reduce
  0:299 reduce
  67:0 reduce
  34:300,target 60
  31:257,target 56
  11:317 goto
  0:281,target 2
  15:313,target 51
  0:0 reduce
  1:264,target 4
  6:Y,target 40
  5:265 shift
  5:280,target 32
  5:266 shift
  3:292,target 20
  22:0 reduce
  36:296,target 54
  34:257 reduce
  4:275,target 13
  34:258 reduce
  34:260 reduce
  34:259 reduce
  0:299,target 2
  35:302,target 57
  34:261 reduce
  32:260,target 55
  32:259,target 55
  3:271,target 10
  1:283,target 4
  64:0 reduce
  43:278,target 73
  12:268,target 45
  6:X shift
  4:294,target 22
  40:286,target 9
  39:286,target 7
  31:295,target 56
  6:Y shift
  5:280 shift
  5:281 shift
  77:0,target 39
  18:0 reduce
  5:282 shift
  0:257,target 2
  3:289,target 18
  70:0,target 51
  69:0,target 53
  43:263 shift
  62:0,target 46
  4:273,target 12
  54:0,target 28
  40:0 reduce
  39:0 reduce
  34:274 reduce
  31:274,target 56
  46:0,target 67
  0:297,target 2
  0:307,target 3
  35:300,target 57
  32:257,target 55
  61:0 reduce
  38:261,target 65
  5:288 shift
  1:281,target 4
  23:0,target 30
  15:0,target 42
  5:301 shift
  0:276,target 2
  4:292,target 20
  40:284,target 9
  39:284,target 7
  15:0 reduce
  43:277 shift
  3:287,target 17
  43:278 shift
  1:299,target 4
  43:279 shift
  36:302,target 54
  33:260,target 59
  33:259,target 59
  4:271,target 10
  40:263,target 9
  39:263,target 7
  34:300 reduce
  31:257 reduce
  6:y,target 42
  31:258 reduce
  57:0 reduce
  34:302 reduce
  31:260 reduce
  31:259 reduce
  43:284 shift
  38:258,target 62
  31:261 reduce
  5:314 goto
  43:285 shift
  5:315 goto
  43:286 shift
  34:295 reduce
  41:286,target 6
  34:296 reduce
  32:295,target 55
  1:257,target 4
  4:289,target 18
  12:0 reduce
  32:274,target 55
  6:x shift
  1:297,target 4
  40:263 reduce
  39:263 reduce
  36:300,target 54
  33:257,target 59
  6:y shift
  54:0 reduce
  31:274 reduce
  0:293,target 2
  0:303,target 2
  26:304,target 56
  3:264,target 6
  8:0,target 22
  1:276,target 4
  75:0 reduce
  74:0,target 35
  41:284,target 6
  0:272,target 2
  66:0,target 45
  38:296,target 68
  7:0 reduce
  58:0,target 62
  4:287,target 17
  51:0,target 17
  40:279,target 9
  39:279,target 7
  34:260,target 60
  34:259,target 60
  41:263,target 6
  29:0 reduce
  3:283,target 16
  40:277 reduce
  39:277 reduce
  27:0,target 31
  40:278 reduce
  39:278 reduce
  20:0,target 33
  19:0,target 29
  51:0 reduce
  40:279 reduce
  39:279 reduce
  12:0,target 65
  31:300 reduce
  0:291,target 2
  0:301,target 2
  72:0 reduce
  42:286,target 8
  33:295,target 59
  31:302 reduce
  40:284 reduce
  39:284 reduce
  40:285 reduce
  39:285 reduce
  40:286 reduce
  39:286 reduce
  31:295 reduce
  0:270,target 2
  0:269,target 2
  31:296 reduce
  33:274,target 59
  40:277,target 9
  39:277,target 7
  36:257 reduce
  36:258 reduce
  34:257,target 60
  26:0 reduce
  36:260 reduce
  36:259 reduce
  3:281,target 15
  36:261 reduce
  1:293,target 4
  1:303,target 4
  47:0 reduce
  4:264,target 6
  68:0 reduce
  42:284,target 8
  30:261,target 58
  21:269,target 52
  1:272,target 4
  41:279,target 6
  0:267,target 2
  3:299,target 25
  38:302,target 70
  35:260,target 57
  35:259,target 57
  42:263,target 8
  26:Y,target 40
  15:290,target 50
  4:283,target 16
  23:0 reduce
  36:274 reduce
  5:266,target 31
  44:0 reduce
  1:291,target 4
  1:301,target 4
  43:286,target 77
  34:295,target 60
  4:257 shift
  71:0,target 38
  65:0 reduce
  11:303,target 47
  63:0,target 48
  3:257,target 5
  55:0,target 64
  30:258,target 58
  1:269,target 4
  1:270,target 4
  47:0,target 68
  40:0,target 9
  39:0,target 7
  34:274,target 60
  41:277,target 6
  3:297,target 23
  4:264 shift
  38:300,target 69
  35:257,target 57
  24:0,target 12
  20:0 reduce
  19:0 reduce
  16:0,target 14
  4:281,target 15
  4:267 shift
  36:300 reduce
  33:257 reduce
  41:0 reduce
  33:258 reduce
  26:316,target 60
  4:270 shift
  3:276,target 14
  4:269 shift
  36:302 reduce
  33:260 reduce
  33:259 reduce
  4:271 shift
  33:261 reduce
  4:272 shift
  62:0 reduce
  43:284,target 75
  31:261,target 56
  5:314,target 37
  4:273 shift
  36:295 reduce
  36:296 reduce
  4:275 shift
  42:279,target 8
  1:267,target 4
  4:299,target 25
  4:276 shift
  36:260,target 54
  36:259,target 54
  43:263,target 71
  11:269,target 46
  30:296,target 58
  16:0 reduce
  4:281 shift
  26:X shift
  42:263 reduce
  26:Y shift
  15:290 shift
  4:283 shift
  37:0 reduce
  35:295,target 57
  33:274 reduce
  26:y,target 42
  12:303,target 47
  58:0 reduce
  4:287 shift
  4:257,target 5
  31:258,target 56
  1:257 reduce
  4:289 shift
  35:274,target 57
  4:301 shift
  4:291 shift
  42:277,target 8
  4:292 shift
  4:297,target 23
  36:257,target 54
  4:303 shift
  4:293 shift
  12:268 shift
  5:281,target 33
  4:294 shift
  13:0 reduce
  12:269 shift
  9:0,target 32
  3:293,target 21
  3:303,target 27
  15:313 goto
  1:264 reduce
  2:0,target 0
  42:277 reduce
  4:276,target 14
  4:297 shift
  75:0,target 36
  42:278 reduce
  4:298 shift
  67:0,target 50
  42:279 reduce
  11:317,target 48
  1:267 reduce
  4:299 shift
  60:0,target 19
  59:0,target 63
  33:300 reduce
  32:261,target 55
  30:257 reduce
  3:272,target 11
  4:311 goto
  55:0 reduce
  52:0,target 71
  30:258 reduce
  1:269 reduce
  1:270 reduce
  44:0,target 16
  33:302 reduce
  30:260 reduce
  30:259 reduce
  1:271 reduce
  43:279,target 74
  42:284 reduce
  30:261 reduce
  21:269 shift
  1:272 reduce
  76:0 reduce
  42:285 reduce
  28:0,target 3
  1:273 reduce
  42:286 reduce
  33:295 reduce
  26:281,target 55
  21:0,target 69
  33:296 reduce
  13:0,target 23
  12:269,target 46
  1:275 reduce
  31:296,target 56
  8:0 reduce
  1:276 reduce
  38:257 shift
  21:275 shift
  10:0 reduce
  6:X,target 39
  38:258 shift
  3:301,target 26
  3:291,target 19
  38:260 shift
  38:259 shift
  30:302,target 58
  38:261 shift
  36:295,target 54
  1:281 reduce
  0:298,target 2
  1:283 reduce
  52:0 reduce
  32:258,target 55
  26:310,target 59
  26:309,target 58
  6:312,target 44
  3:269,target 8
  3:270,target 9
  30:274 reduce
  26:x shift
  36:274,target 54
  26:y shift
  12:303 shift
  73:0 reduce
  43:277,target 72
  1:287 reduce
  1:289 reduce
  4:303,target 27
  1:291 reduce
  1:301 reduce
  4:293,target 21
}

array set plotsend::rules {
  9,l 309
  11,l 310
  32,l 311
  53,l 314
  6,l 309
  28,l 311
  50,l 314
  49,l 314
  71,l 318
  3,l 306
  25,l 311
  46,l 314
  67,l 317
  0,l 319
  22,l 311
  43,l 313
  64,l 316
  18,l 311
  40,l 312
  39,l 312
  61,l 316
  15,l 311
  36,l 312
  57,l 315
  12,l 311
  33,l 311
  54,l 315
  7,l 309
  29,l 311
  30,l 311
  51,l 314
  4,l 308
  26,l 311
  47,l 314
  68,l 317
  1,l 306
  23,l 311
  44,l 314
  65,l 317
  19,l 311
  20,l 311
  41,l 312
  62,l 316
  16,l 311
  37,l 312
  58,l 315
  13,l 311
  34,l 311
  55,l 315
  8,l 309
  10,l 310
  31,l 311
  52,l 314
  5,l 306
  27,l 311
  48,l 314
  70,l 318
  69,l 318
  2,l 307
  24,l 311
  45,l 314
  66,l 317
  21,l 311
  42,l 313
  63,l 316
  17,l 311
  38,l 312
  60,l 315
  59,l 315
  14,l 311
  35,l 312
  56,l 315
}

array set plotsend::rules {
  63,dc 1
  12,dc 1
  26,dc 2
  3,dc 2
  41,dc 2
  55,dc 1
  70,dc 1
  69,dc 0
  18,dc 2
  33,dc 1
  9,dc 1
  47,dc 2
  62,dc 1
  11,dc 1
  25,dc 2
  2,dc 0
  40,dc 2
  39,dc 2
  54,dc 1
  68,dc 1
  17,dc 2
  32,dc 1
  8,dc 1
  46,dc 2
  61,dc 0
  10,dc 1
  24,dc 1
  1,dc 0
  38,dc 2
  53,dc 2
  67,dc 1
  16,dc 2
  31,dc 1
  7,dc 1
  45,dc 2
  60,dc 1
  59,dc 1
  23,dc 1
  0,dc 1
  37,dc 2
  52,dc 2
  66,dc 1
  15,dc 1
  29,dc 1
  30,dc 1
  6,dc 1
  44,dc 2
  58,dc 1
  22,dc 1
  36,dc 2
  51,dc 2
  65,dc 0
  14,dc 1
  28,dc 2
  5,dc 3
  43,dc 1
  57,dc 1
  21,dc 1
  35,dc 2
  50,dc 2
  49,dc 2
  64,dc 1
  13,dc 1
  27,dc 1
  4,dc 0
  42,dc 0
  56,dc 1
  71,dc 1
  19,dc 2
  20,dc 1
  34,dc 1
  48,dc 2
}

array set plotsend::rules {
  41,line 114
  7,line 70
  37,line 110
  4,line 65
  34,line 105
  1,line 64
  31,line 101
  27,line 97
  24,line 93
  21,line 90
  17,line 86
  14,line 83
  70,line 159
  69,line 158
  11,line 77
  66,line 153
  63,line 148
  60,line 143
  59,line 142
  56,line 138
  53,line 132
  50,line 129
  49,line 128
  46,line 124
  43,line 118
  9,line 72
  40,line 113
  39,line 112
  6,line 69
  36,line 109
  3,line 65
  33,line 104
  4,e 1
  29,line 99
  30,line 100
  26,line 96
  23,line 92
  19,line 88
  20,line 89
  16,line 85
  13,line 82
  68,line 155
  10,line 76
  65,line 152
  62,line 147
  58,line 141
  55,line 137
  52,line 131
  48,line 127
  45,line 123
  42,line 117
  8,line 71
  38,line 111
  5,line 66
  35,line 108
  2,line 64
  32,line 102
  28,line 98
  2,e 0
  25,line 95
  22,line 91
  18,line 87
  15,line 84
  71,line 160
  12,line 81
  67,line 154
  64,line 149
  61,line 146
  57,line 140
  54,line 135
  51,line 130
  47,line 125
  44,line 122
}

array set plotsend::lr1_table {
  66,trans {}
  35 {{57 {257 258 259 260 261 274 295 296 300 302} 1}}
  14,trans {}
  36 {{54 {257 258 259 260 261 274 295 296 300 302} 1}}
  33,trans {}
  37 {{18 0 2}}
  52,trans {}
  38 {{44 0 1} {45 0 1} {46 0 1} {47 0 1} {48 0 1} {49 0 1} {50 0 1} {51 0 1} {52 0 1} {53 0 1}}
  71,trans {}
  39 {{7 {263 277 278 279 284 285 286} 1}}
  40 {{9 {263 277 278 279 284 285 286} 1}}
  18,trans {}
  1,trans {{308 4}}
  41 {{6 {263 277 278 279 284 285 286} 1}}
  37,trans {}
  42 {{8 {263 277 278 279 284 285 286} 1}}
  56,trans {}
  43 {{35 0 1} {36 0 1} {37 0 1} {38 0 1} {39 0 1} {40 0 1} {41 0 1}}
  75,trans {}
  44 {{16 0 2}}
  23,trans {}
  45 {{66 0 1}}
  5,trans {{265 30} {266 31} {280 32} {281 33} {282 34} {288 35} {301 36} {314 37} {315 38}}
  42,trans {}
  46 {{67 0 1}}
  61,trans {}
  47 {{68 0 1}}
  80,trans {}
  79,trans {}
  48 {{25 0 2}}
  27,trans {}
  50 {{43 0 1}}
  49 {{26 0 2}}
  9,trans {}
  46,trans {}
  51 {{17 0 2}}
  65,trans {}
  52 {{71 0 1}}
  53 {{70 0 1}}
  13,trans {}
  32,trans {}
  54 {{28 0 2}}
  51,trans {}
  55 {{7 0 1}}
  70,trans {}
  69,trans {}
  56 {{9 0 1}}
  57 {{6 0 1}}
  17,trans {}
  0,trans {{262 1} {306 2} {307 3}}
  36,trans {}
  58 {{8 0 1}}
  55,trans {}
  60 {{10 0 1}}
  59 {{64 0 1}}
  74,trans {}
  61 {{11 0 1}}
  62 {{62 0 1}}
  22,trans {}
  4,trans {{257 5} {264 6} {267 7} {269 8} {270 9} {271 10} {272 11} {273 12} {275 13} {276 14} {281 15} {283 16} {287 17} {289 18} {291 19} {292 20} {293 21} {294 22} {297 23} {298 24} {299 25} {301 26} {303 27} {311 29}}
  41,trans {}
  63 {{63 0 1}}
  60,trans {}
  59,trans {}
  64 {{19 0 2}}
  78,trans {}
  65 {{44 0 2}}
  66 {{46 0 2}}
  26,trans {{X 55} {Y 56} {x 57} {y 58} {281 59} {304 60} {305 61} {309 62} {310 63} {316 64}}
  8,trans {}
  45,trans {}
  67 {{48 0 2}}
  64,trans {}
  68 {{49 0 2}}
  70 {{45 0 2}}
  69 {{47 0 2}}
  12,trans {{268 45} {269 46} {303 47} {317 49}}
  71 {{50 0 2}}
  31,trans {}
  50,trans {}
  49,trans {}
  72 {{52 0 2}}
  68,trans {}
  73 {{53 0 2}}
  74 {{51 0 2}}
  16,trans {}
  75 {{38 0 2}}
  35,trans {}
  54,trans {}
  76 {{37 0 2}}
  73,trans {}
  77 {{41 0 2}}
  78 {{35 0 2}}
  21,trans {{269 52} {275 53} {318 54}}
  3,trans {{257 5} {264 6} {267 7} {269 8} {270 9} {271 10} {272 11} {273 12} {275 13} {276 14} {281 15} {283 16} {287 17} {289 18} {291 19} {292 20} {293 21} {294 22} {297 23} {298 24} {299 25} {301 26} {303 27} {311 28}}
  80 {{40 0 2}}
  79 {{36 0 2}}
  40,trans {}
  39,trans {}
  58,trans {}
  81 {{39 0 2}}
  10 {{34 0 1}}
  77,trans {}
  11 {{25 0 1} {65 0 0} {66 0 0} {67 0 0} {68 0 0}}
  25,trans {}
  7,trans {}
  12 {{26 0 1} {65 0 0} {66 0 0} {67 0 0} {68 0 0}}
  44,trans {}
  13 {{23 0 1}}
  63,trans {}
  14 {{24 0 1}}
  11,trans {{268 45} {269 46} {303 47} {317 48}}
  15 {{17 0 1} {42 0 0} {43 0 0}}
  30,trans {}
  29,trans {}
  16 {{14 0 1}}
  48,trans {}
  0 {{0 0 0} {1 0 0} {3 0 0} {5 0 0} {2 {257 264 267 269 270 271 272 273 275 276 281 283 287 289 291 292 293 294 297 298 299 301 303} 0}}
  17 {{15 0 1}}
  67,trans {}
  1 {{5 0 1} {4 {257 264 267 269 270 271 272 273 275 276 281 283 287 289 291 292 293 294 297 298 299 301 303} 0}}
  18 {{27 0 1}}
  15,trans {{290 50} {313 51}}
  2 {{0 0 1}}
  19 {{29 0 1}}
  20 {{33 0 1}}
  34,trans {}
  3 {{3 0 1} {12 0 0} {13 0 0} {14 0 0} {15 0 0} {16 0 0} {17 0 0} {18 0 0} {19 0 0} {20 0 0} {21 0 0} {22 0 0} {23 0 0} {24 0 0} {25 0 0} {26 0 0} {27 0 0} {28 0 0} {29 0 0} {30 0 0} {31 0 0} {32 0 0} {33 0 0} {34 0 0}}
  21 {{28 0 1} {69 0 0} {70 0 0} {71 0 0}}
  53,trans {}
  4 {{5 0 2} {12 0 0} {13 0 0} {14 0 0} {15 0 0} {16 0 0} {17 0 0} {18 0 0} {19 0 0} {20 0 0} {21 0 0} {22 0 0} {23 0 0} {24 0 0} {25 0 0} {26 0 0} {27 0 0} {28 0 0} {29 0 0} {30 0 0} {31 0 0} {32 0 0} {33 0 0} {34 0 0}}
  22 {{21 0 1}}
  72,trans {}
  5 {{18 0 1} {44 0 0} {45 0 0} {46 0 0} {47 0 0} {48 0 0} {49 0 0} {50 0 0} {51 0 0} {52 0 0} {53 0 0} {54 {257 258 259 260 261 274 295 296 300 302} 0} {55 {257 258 259 260 261 274 295 296 300 302} 0} {56 {257 258 259 260 261 274 295 296 300 302} 0} {57 {257 258 259 260 261 274 295 296 300 302} 0} {58 {257 258 259 260 261 274 295 296 300 302} 0} {59 {257 258 259 260 261 274 295 296 300 302} 0} {60 {257 258 259 260 261 274 295 296 300 302} 0}}
  23 {{30 0 1}}
  20,trans {}
  19,trans {}
  6 {{16 0 1} {35 0 0} {36 0 0} {37 0 0} {38 0 0} {39 0 0} {40 0 0} {41 0 0} {6 {263 277 278 279 284 285 286} 0} {7 {263 277 278 279 284 285 286} 0} {8 {263 277 278 279 284 285 286} 0} {9 {263 277 278 279 284 285 286} 0}}
  2,trans {}
  24 {{12 0 1}}
  38,trans {{257 65} {258 66} {259 67} {260 68} {261 69} {274 70} {295 71} {296 72} {300 73} {302 74}}
  7 {{20 0 1}}
  25 {{13 0 1}}
  57,trans {}
  8 {{22 0 1}}
  26 {{19 0 1} {61 0 0} {62 0 0} {63 0 0} {64 0 0} {6 0 0} {7 0 0} {8 0 0} {9 0 0} {10 0 0} {11 0 0}}
  76,trans {}
  9 {{32 0 1}}
  27 {{31 0 1}}
  24,trans {}
  6,trans {{X 39} {Y 40} {x 41} {y 42} {309 43} {312 44}}
  28 {{3 0 2}}
  43,trans {{263 75} {277 76} {278 77} {279 78} {284 79} {285 80} {286 81}}
  29 {{5 0 3}}
  30 {{58 {257 258 259 260 261 274 295 296 300 302} 1}}
  62,trans {}
  31 {{56 {257 258 259 260 261 274 295 296 300 302} 1}}
  81,trans {}
  10,trans {}
  32 {{55 {257 258 259 260 261 274 295 296 300 302} 1}}
  28,trans {}
  33 {{59 {257 258 259 260 261 274 295 296 300 302} 1}}
  47,trans {}
  34 {{60 {257 258 259 260 261 274 295 296 300 302} 1}}
}

array set plotsend::token_id_table {
  286 MIN_
  286,t 0
  287 MODE_
  292,line 46
  302,line 56
  288 NUMBERS_
  317,t 1
  265,title AXESNUMBERS
  289 NAME_
  290 POSITION_
  300 STYLE_
  284,title LOG
  291 RELIEF_
  301 TITLE_
  313,title {}
  292 SELECT_
  302 WEIGHT_
  288,line 42
  293 SHAPE_
  303 WIDTH_
  294 SHOW_
  304 XAXIS_
  305 YAXIS_
  295 SIZE_
  306 plotsend
  296 SLANT_
  307 @PSEUDO1
  262,t 0
  297 SMOOTH_
  308 @PSEUDO2
  285,line 39
  298 STATS_
  310 xyaxis
  309 xy
  299 STATISTICS_
  311 plotCmd
  283,t 0
  312 axis
  313 legend
  314,t 1
  314 fontt
  282,line 36
  315 fontType
  316 title
  264,title AXIS
  317 errorr
  283,title LIST
  318 shape
  312,title {}
  319 start'
  278,line 32
  error,line 62
  258,t 0
  275,line 29
  279,t 0
  280,t 0
  311,t 1
  272,line 26
  263,title AUTO
  282,title LEGENDTITLE
  311,title {}
  268,line 22
  276,t 0
  Y,t 0
  265,line 19
  307,t 1
  297,t 0
  262,line 13
  0,t 0
  0 {$}
  262,title string
  281,title LEGEND
  310,title {}
  309,title {}
  error,t 0
  299,title STATISTICS
  258,line 8
  273,t 0
  294,t 0
  304,t 0
  317,line 151
  261,title FONTWEIGHT
  279,title GRID
  280,title LABELS
  308,title {}
  269,t 0
  270,t 0
  298,title STATS
  314,line 120
  291,t 0
  301,t 0
  311,line 79
  y,t 0
  307,line 64
  266,t 0
  260,title FONTSTYLE
  259,title FONTSLANT
  297,line 51
  278,title FORMAT
  307,title {}
  297,title SMOOTH
  287,t 0
  294,line 48
  304,line 58
  318,t 1
  X X
  error,title {}
  291,line 45
  301,line 55
  Y Y
  263,t 0
  258,title FONTSIZE
  287,line 41
  277,title FLIP
  284,t 0
  306,title {}
  296,title SLANT
  315,t 1
  284,line 38
  281,line 35
  260,t 0
  259,t 0
  281,t 0
  257,title FONT
  277,line 31
  276,title FILLCOLOR
  312,t 1
  305,title YAXIS
  295,title SIZE
  274,line 28
  Y,line 71
  271,line 25
  x x
  277,t 0
  y y
  308,t 1
  267,line 21
  298,t 0
  275,title FILL
  294,title SHOW
  304,title XAXIS
  264,line 18
  261,line 11
  274,t 0
  305,t 0
  295,t 0
  257,line 7
  274,title FAMILY
  293,title SHAPE
  303,title WIDTH
  319,line 161
  error error
  271,t 0
  y,line 70
  292,t 0
  302,t 0
  316,line 145
  273,title ERRORBAR
  313,line 116
  292,title SELECT
  302,title WEIGHT
  267,t 0
  310,line 75
  309,line 68
  299,line 53
  288,t 0
  319,t 1
  306,line 63
  296,line 50
  272,title ERROR
  291,title RELIEF
  293,line 47
  301,title TITLE
  303,line 57
  319,title {}
  264,t 0
  Y,title {}
  285,t 0
  289,line 43
  290,line 44
  300,line 54
  316,t 1
  286,line 40
  271,title DATASET
  261,t 0
  283,line 37
  289,title NAME
  290,title POSITION
  300,title STYLE
  318,title {}
  282,t 0
  X,title {}
  279,line 33
  280,line 34
  313,t 1
  276,line 30
  257,t 0
  269,title COLOR
  270,title DASH
  273,line 27
  288,title NUMBERS
  317,title {}
  278,t 0
  310,t 1
  X,line 69
  309,t 1
  299,t 0
  269,line 23
  270,line 24
  y,title {}
  266,line 20
  268,title CAP
  275,t 0
  263,line 17
  287,title MODE
  316,title {}
  X,t 0
  306,t 1
  296,t 0
  260,line 10
  259,line 9
  x,title {}
  272,t 0
  267,title BARMODE
  257 FONT_
  286,title MIN
  293,t 0
  303,t 0
  315,title {}
  258 FONTSIZE_
  318,line 157
  260 FONTSTYLE_
  259 FONTSLANT_
  261 FONTWEIGHT_
  262 STRING_
  263 AUTO_
  x,line 68
  264 AXIS_
  315,line 134
  265 AXESNUMBERS_
  266 AXESTITLE_
  267 BARMODE_
  268,t 0
  268 CAP_
  269 COLOR_
  270 DASH_
  312,line 107
  271 DATASET_
  272 ERROR_
  289,t 0
  290,t 0
  300,t 0
  266,title AXESTITLE
  273 ERRORBAR_
  274 FAMILY_
  285,title MAX
  314,title {}
  275 FILL_
  308,line 65
  276 FILLCOLOR_
  298,line 52
  x,t 0
  277 FLIP_
  278 FORMAT_
  279 GRID_
  280 LABELS_
  281 LEGEND_
  305,line 59
  282 LEGENDTITLE_
  295,line 49
  265,t 0
  283 LIST_
  284 LOG_
  285 MAX_
}

proc plotsend::yyparse {} {
    variable yylval
    variable table
    variable rules
    variable token
    variable yycnt
    variable lr1_table
    variable token_id_table
    variable yyerr
    variable save_state

    set yycnt 0
    set state_stack {0}
    set value_stack {{}}
    set token ""
    set accepted 0
    set yyerr 0
    set save_state 0

    while {$accepted == 0} {
        set state [lindex $state_stack end]
        if {$token == ""} {
            set yylval ""
            set token [yylex]
            set buflval $yylval
	    if {$token>0} {
	        incr yycnt
            }
        }
        if {![info exists table($state:$token)] || $yyerr} {
	    if {!$yyerr} {
	        set save_state $state
	    }
            # pop off states until error token accepted
            while {[llength $state_stack] > 0 && \
                       ![info exists table($state:error)]} {
                set state_stack [lrange $state_stack 0 end-1]
                set value_stack [lrange $value_stack 0 \
                                       [expr {[llength $state_stack] - 1}]]
                set state [lindex $state_stack end]
            }
            if {[llength $state_stack] == 0} {
 
	        set rr { }
                if {[info exists lr1_table($save_state,trans)] && [llength $lr1_table($save_state,trans)] >= 1} {
                    foreach trans $lr1_table($save_state,trans) {
                        foreach {tok_id nextstate} $trans {
			    set ss $token_id_table($tok_id,title)
			    if {$ss != {}} {
			        append rr "$ss, "
                            }
                        }
                    }
                }
		set rr [string trimleft $rr { }]
		set rr [string trimright $rr {, }]
                yyerror "parse error, expecting: $rr"


                return 1
            }
            lappend state_stack [set state $table($state:error,target)]
            lappend value_stack {}
            # consume tokens until it finds an acceptable one
            while {![info exists table($state:$token)]} {
                if {$token == 0} {
                    yyerror "end of file while recovering from error"
                    return 1
                }
                set yylval {}
                set token [yylex]
                set buflval $yylval
            }
            continue
        }
        switch -- $table($state:$token) {
            shift {
                lappend state_stack $table($state:$token,target)
                lappend value_stack $buflval
                set token ""
            }
            reduce {
                set rule $table($state:$token,target)
                set ll $rules($rule,l)
                if {[info exists rules($rule,e)]} {
                    set dc $rules($rule,e)
                } else {
                    set dc $rules($rule,dc)
                }
                set stackpointer [expr {[llength $state_stack]-$dc}]
                setupvalues $value_stack $stackpointer $dc
                set _ $1
                set yylval [lindex $value_stack end]
                switch -- $rule {
                    1 { ProcessSendCmdGet iap windows }
                    2 { if {![PlotCmdCheck]} {plot::YYABORT} }
                    4 { if {![PlotCmdRef $1]} {plot::YYABORT} }
                    6 { set _ x }
                    7 { set _ x }
                    8 { set _ y }
                    9 { set _ y }
                    10 { set _ x }
                    11 { set _ y }
                    12 { ProcessSendCmdCVAR PlotStatsGenerate }
                    13 { ProcessSendCmdCVAR PlotStatsGenerate }
                    14 { ProcessSendCmdCVAR PlotListGenerate }
                    15 { ProcessSendCmdCVARGet mode }
                    20 { ProcessSendCmdCVARGet bar,mode }
                    21 { ProcessSendCmdCVARYesNo show }
                    22 { ProcessSendCmdCVARGet color }
                    23 { ProcessSendCmdCVARGet fill }
                    24 { ProcessSendCmdCVARGet fill,color }
                    27 { ProcessSendCmdCVARGet name }
                    29 { ProcessSendCmdCVARGet bar,relief }
                    30 { ProcessSendCmdCVARGet smooth }
                    31 { ProcessSendCmdCVARGet width }
                    32 { ProcessSendCmdCVARYesNo dash }
                    33 { ProcessSendCmdCVARGet data,current }
                    34 { ProcessSendCmdCVARGet data,current }
                    35 { ProcessSendCmdCVARYesNo "axis,$1,grid" }
                    36 { ProcessSendCmdCVARYesNo "axis,$1,log" }
                    37 { ProcessSendCmdCVARYesNo "axis,$1,flip" }
                    38 { ProcessSendCmdCVARYesNo "axis,$1,auto" }
                    39 { ProcessSendCmdCVARGet "axis,$1,min" }
                    40 { ProcessSendCmdCVARGet "axis,$1,max" }
                    41 { ProcessSendCmdCVARGet "axis,$1,format" }
                    42 { ProcessSendCmdCVARYesNo legend }
                    43 { ProcessSendCmdCVARGet legend,position }
                    44 { ProcessSendCmdCVARGet "$1,family" }
                    45 { ProcessSendCmdCVARGet "$1,family" }
                    46 { ProcessSendCmdCVARGet "$1,size" }
                    47 { ProcessSendCmdCVARGet "$1,weight" }
                    48 { ProcessSendCmdCVARGet "$1,slant" }
                    49 { ProcessSendCmdCVARGet "$1,weight" }
                    50 { ProcessSendCmdCVARGet "$1,size" }
                    51 { ProcessSendCmdCVARGet "$1,weight" }
                    52 { ProcessSendCmdCVARGet "$1,slant" }
                    53 { ProcessSendCmdCVARGet "$1,weight" }
                    54 { set _ graph,title }
                    55 { set _ axis,title }
                    56 { set _ axis,title }
                    57 { set _ axis,font }
                    58 { set _ axis,font }
                    59 { set _ legend,font }
                    60 { set _ legend,title }
                    61 { ProcessSendCmdCVARGet graph,title }
                    62 { ProcessSendCmdCVARGet "axis,$1,title" }
                    63 { ProcessSendCmdCVARGet "axis,$1,title" }
                    64 { ProcessSendCmdCVARGet legend,title }
                    65 { ProcessSendCmdCVARYesNo error }
                    66 { ProcessSendCmdCVARYesNo error,cap }
                    67 { ProcessSendCmdCVARGet error,color }
                    68 { ProcessSendCmdCVARGet error,width }
                    69 { ProcessSendCmdCVARGet shape,symbol }
                    70 { ProcessSendCmdCVARYesNo shape,fill }
                    71 { ProcessSendCmdCVARGet shape,color }
                }
                unsetupvalues $dc
                # pop off tokens from the stack if normal rule
                if {![info exists rules($rule,e)]} {
                    incr stackpointer -1
                    set state_stack [lrange $state_stack 0 $stackpointer]
                    set value_stack [lrange $value_stack 0 $stackpointer]
                }
                # now do the goto transition
                lappend state_stack $table([lindex $state_stack end]:$ll,target)
                lappend value_stack $_
            }
            accept {
                set accepted 1
            }
            goto -
            default {
                puts stderr "Internal parser error: illegal command $table($state:$token)"
                return 2
            }
        }
    }
    return 0
}

######
# end autogenerated taccle functions
######

proc plotsend::yyerror {msg} {
     variable yycnt
     variable yy_current_buffer
     variable index_

     ParserError $msg $yycnt $yy_current_buffer $index_
}
