
######
# Begin autogenerated taccle (version 1.3) routines.
# Although taccle itself is protected by the GNU Public License (GPL)
# all user-supplied functions are protected by their respective
# author's license.  See http://mini.net/tcl/taccle for other details.
######

namespace eval ps {
    variable yylval {}
    variable table
    variable rules
    variable token {}
    variable yycnt 0
    variable yyerr 0
    variable save_state 0

    namespace export yylex
}

proc ps::YYABORT {} {
    return -code return 1
}

proc ps::YYACCEPT {} {
    return -code return 0
}

proc ps::YYERROR {} {
    variable yyerr
    set yyerr 1
}

proc ps::yyclearin {} {
    variable token
    variable yycnt
    set token {}
    incr yycnt -1
}

proc ps::yyerror {s} {
    puts stderr $s
}

proc ps::setupvalues {stack pointer numsyms} {
    upvar 1 1 y
    set y {}
    for {set i 1} {$i <= $numsyms} {incr i} {
        upvar 1 $i y
        set y [lindex $stack $pointer]
        incr pointer
    }
}

proc ps::unsetupvalues {numsyms} {
    for {set i 1} {$i <= $numsyms} {incr i} {
        upvar 1 $i y
        unset y
    }
}

array set ps::table {
  32:257,target 10
  17:257 reduce
  7:285 goto
  0:257 reduce
  31:0,target 28
  7:274,target 27
  0:258 shift
  23:0,target 20
  20:257 reduce
  19:257 reduce
  0:259 shift
  0:260 shift
  2:257 shift
  5:0,target 11
  27:0 reduce
  26:257,target 23
  15:0,target 13
  9:0 reduce
  0:266,target 7
  22:257 reduce
  11:0 reduce
  6:1,target 19
  0:262 shift
  4:257 shift
  0:263 shift
  24:257 reduce
  21:257,target 19
  0:264 shift
  32:0 reduce
  1:269,target 12
  26:257 reduce
  15:0 reduce
  7:273,target 26
  0:266 shift
  15:257,target 13
  32:0,target 10
  28:257 reduce
  24:0,target 21
  31:257 reduce
  20:0 reduce
  19:0 reduce
  16:0,target 12
  10:257,target 14
  33:257 shift
  30:257,target 27
  29:257,target 26
  1:268,target 11
  7:272,target 25
  24:0 reduce
  9:280,target 33
  24:257,target 21
  0:264,target 6
  6:1 shift
  6:2 shift
  6:3 shift
  28:0 reduce
  25:0,target 22
  18:257,target 7
  0:279 goto
  17:0,target 5
  12:0 reduce
  0:0,target 4
  0:281 goto
  1:267,target 10
  3:265,target 16
  10:0,target 14
  7:271,target 24
  13:257,target 8
  0:263,target 5
  33:257,target 34
  16:0 reduce
  10:257 reduce
  12:257 reduce
  34:0,target 3
  27:257,target 24
  9:257,target 2
  26:0,target 23
  21:0 reduce
  14:257 reduce
  8:0,target 0
  7:270,target 23
  18:0,target 7
  6:284 goto
  22:257,target 9
  16:257 reduce
  11:0,target 15
  0:262,target 4
  4:257,target 18
  25:0 reduce
  18:257 reduce
  16:257,target 12
  21:257 reduce
  30:0 reduce
  29:0 reduce
  23:257 reduce
  11:257,target 15
  7:278,target 31
  5:257 reduce
  27:0,target 24
  13:0 reduce
  9:0,target 1
  3:261 shift
  31:257,target 28
  25:257 reduce
  20:0,target 18
  19:0,target 17
  12:0,target 16
  0:281,target 9
  34:0 reduce
  27:257 reduce
  9:257 reduce
  6:284,target 22
  25:257,target 22
  17:0 reduce
  0:0 reduce
  1:267 shift
  3:265 shift
  30:257 reduce
  29:257 reduce
  1:268 shift
  7:277,target 30
  1:269 shift
  3:282,target 17
  32:257 reduce
  20:257,target 18
  19:257,target 17
  0:260,target 3
  0:259,target 2
  2:257,target 14
  22:0 reduce
  28:0,target 25
  0:279,target 8
  21:0,target 19
  14:257,target 6
  13:0,target 8
  3:261,target 15
  26:0 reduce
  8:0 accept
  7:270 shift
  10:0 reduce
  7:276,target 29
  7:271 shift
  1:283,target 13
  7:272 shift
  0:258,target 1
  28:257,target 25
  7:273 shift
  31:0 reduce
  7:274 shift
  6:3,target 21
  14:0 reduce
  7:275 shift
  30:0,target 27
  29:0,target 26
  23:257,target 20
  7:276 shift
  1:283 goto
  5:257,target 11
  22:0,target 9
  7:277 shift
  3:282 goto
  14:0,target 6
  11:257 reduce
  7:278 shift
  7:275,target 28
  18:0 reduce
  17:257,target 5
  7:285,target 32
  0:257,target 4
  13:257 reduce
  9:280 goto
  6:2,target 20
  15:257 reduce
  12:257,target 16
  23:0 reduce
  5:0 reduce
}

array set ps::rules {
  27,l 285
  9,l 281
  11,l 281
  15,l 283
  20,l 285
  19,l 284
  2,l 280
  24,l 285
  6,l 281
  28,l 285
  12,l 282
  16,l 283
  21,l 285
  3,l 279
  25,l 285
  7,l 281
  13,l 282
  0,l 286
  17,l 284
  22,l 285
  4,l 281
  26,l 285
  8,l 281
  10,l 281
  14,l 283
  18,l 284
  1,l 279
  23,l 285
  5,l 281
}

array set ps::rules {
  23,dc 1
  5,dc 2
  0,dc 1
  17,dc 1
  12,dc 1
  26,dc 1
  8,dc 2
  21,dc 1
  3,dc 3
  15,dc 1
  10,dc 2
  24,dc 1
  6,dc 2
  18,dc 1
  1,dc 1
  13,dc 1
  27,dc 1
  9,dc 2
  22,dc 1
  4,dc 0
  16,dc 1
  11,dc 1
  25,dc 1
  7,dc 2
  20,dc 1
  19,dc 1
  2,dc 0
  14,dc 1
  28,dc 1
}

array set ps::rules {
  13,line 54
  25,line 72
  2,e 1
  7,line 45
  10,line 49
  22,line 69
  4,line 42
  18,line 63
  1,line 38
  15,line 58
  27,line 74
  9,line 47
  12,line 53
  24,line 71
  6,line 44
  21,line 68
  3,line 39
  17,line 62
  14,line 57
  26,line 73
  8,line 46
  11,line 50
  23,line 70
  5,line 43
  20,line 67
  19,line 64
  2,line 38
  16,line 59
  28,line 75
}

array set ps::lr1_table {
  14,trans {}
  33,trans {{257 34}}
  18,trans {}
  1,trans {{267 10} {268 11} {269 12} {283 13}}
  23,trans {}
  5,trans {}
  27,trans {}
  9,trans {{280 33}}
  13,trans {}
  32,trans {}
  17,trans {}
  0,trans {{258 1} {259 2} {260 3} {262 4} {263 5} {264 6} {266 7} {279 8} {281 9}}
  22,trans {}
  4,trans {{257 18}}
  26,trans {}
  8,trans {}
  12,trans {}
  31,trans {}
  16,trans {}
  21,trans {}
  3,trans {{261 15} {265 16} {282 17}}
  10 {{14 {0 257} 1}}
  11 {{15 {0 257} 1}}
  25,trans {}
  12 {{16 {0 257} 1}}
  7,trans {{270 23} {271 24} {272 25} {273 26} {274 27} {275 28} {276 29} {277 30} {278 31} {285 32}}
  13 {{8 {0 257} 2}}
  14 {{6 {0 257} 2}}
  15 {{13 {0 257} 1}}
  11,trans {}
  30,trans {}
  29,trans {}
  16 {{12 {0 257} 1}}
  0 {{0 0 0} {1 0 0} {3 0 0} {4 {0 257} 0} {5 {0 257} 0} {6 {0 257} 0} {7 {0 257} 0} {8 {0 257} 0} {9 {0 257} 0} {10 {0 257} 0} {11 {0 257} 0}}
  17 {{5 {0 257} 2}}
  1 {{8 {0 257} 1} {14 {0 257} 0} {15 {0 257} 0} {16 {0 257} 0}}
  18 {{7 {0 257} 2}}
  15,trans {}
  2 {{6 {0 257} 1}}
  19 {{17 {0 257} 1}}
  20 {{18 {0 257} 1}}
  34,trans {}
  3 {{5 {0 257} 1} {12 {0 257} 0} {13 {0 257} 0}}
  21 {{19 {0 257} 1}}
  4 {{7 {0 257} 1}}
  22 {{9 {0 257} 2}}
  5 {{11 {0 257} 1}}
  23 {{20 {0 257} 1}}
  20,trans {}
  19,trans {}
  6 {{9 {0 257} 1} {17 {0 257} 0} {18 {0 257} 0} {19 {0 257} 0}}
  2,trans {{257 14}}
  24 {{21 {0 257} 1}}
  7 {{10 {0 257} 1} {20 {0 257} 0} {21 {0 257} 0} {22 {0 257} 0} {23 {0 257} 0} {24 {0 257} 0} {25 {0 257} 0} {26 {0 257} 0} {27 {0 257} 0} {28 {0 257} 0}}
  25 {{22 {0 257} 1}}
  8 {{0 0 1}}
  26 {{23 {0 257} 1}}
  9 {{1 0 1} {3 0 1} {2 257 0}}
  27 {{24 {0 257} 1}}
  24,trans {}
  6,trans {{1 19} {2 20} {3 21} {284 22}}
  28 {{25 {0 257} 1}}
  29 {{26 {0 257} 1}}
  30 {{27 {0 257} 1}}
  31 {{28 {0 257} 1}}
  32 {{10 {0 257} 2}}
  10,trans {}
  28,trans {}
  33 {{3 0 2}}
  34 {{3 0 3}}
}

array set ps::token_id_table {
  286,t 1
  286 start'
  280,title {}
  279,title {}
  264,line 17
  1,t 0
  270,t 0
  269,t 0
  276,line 31
  265,title PRINTER
  284,title {}
  274,t 0
  261,line 14
  257,t 0
  1,title {}
  270,title 72
  269,title GRAY
  273,line 28
  278,t 0
  257,line 7
  262,t 0
  285,line 66
  274,title 150
  1,line 61
  283,t 1
  270,line 25
  269,line 23
  259,title COMMAND
  260,title DESTINATION
  266,t 0
  278,title 1200
  282,line 52
  2,t 0
  error error
  271,t 0
  264,title LEVEL
  266,line 19
  283,title {}
  278,line 33
  error,line 36
  275,t 0
  268,title CMYK
  258,t 0
  263,line 16
  error,title {}
  280,t 1
  279,t 1
  275,line 30
  273,title 144
  263,t 0
  259,line 12
  260,line 13
  258,title COLOR
  284,t 1
  277,title 600
  3,line 63
  272,line 27
  267,t 0
  263,title INTERPOLATE
  284,line 61
  282,title {}
  3,t 0
  272,t 0
  268,line 22
  267,title RGB
  286,title {}
  257 STRING_
  281,line 41
  276,t 0
  258 COLOR_
  259,t 0
  259 COMMAND_
  260 DESTINATION_
  260,t 0
  3,title {}
  272,title 96
  261 FILE_
  265,line 18
  262 FILENAME_
  281,t 1
  263 INTERPOLATE_
  277,line 32
  257,title string
  264 LEVEL_
  264,t 0
  276,title 300
  265 PRINTER_
  262,line 15
  266 RESOLUTION_
  285,t 1
  267 RGB_
  0,t 0
  0 {$}
  262,title FILENAME
  268 CMYK_
  268,t 0
  1 1
  281,title {}
  274,line 29
  270 72_
  269 GRAY_
  2 2
  error,t 0
  271 SCREEN_
  3 3
  272 96_
  258,line 11
  286,line 76
  273,t 0
  273 144_
  266,title RESOLUTION
  285,title {}
  274 150_
  2,line 62
  275 225_
  271,line 26
  276 300_
  2,title {}
  277,t 0
  277 600_
  271,title SCREEN
  283,line 56
  278 1200_
  261,t 0
  280 @PSEUDO1
  279 command
  281 ps
  267,line 21
  282,t 1
  282 dest
  275,title 225
  283 color
  265,t 0
  284 level
  280,line 38
  279,line 37
  285 resolution
  261,title FILE
}

proc ps::yyparse {} {
    variable yylval
    variable table
    variable rules
    variable token
    variable yycnt
    variable lr1_table
    variable token_id_table
    variable yyerr
    variable save_state

    set yycnt 0
    set state_stack {0}
    set value_stack {{}}
    set token ""
    set accepted 0
    set yyerr 0
    set save_state 0

    while {$accepted == 0} {
        set state [lindex $state_stack end]
        if {$token == ""} {
            set yylval ""
            set token [yylex]
            set buflval $yylval
	    if {$token>0} {
	        incr yycnt
            }
        }
        if {![info exists table($state:$token)] || $yyerr} {
	    if {!$yyerr} {
	        set save_state $state
	    }
            # pop off states until error token accepted
            while {[llength $state_stack] > 0 && \
                       ![info exists table($state:error)]} {
                set state_stack [lrange $state_stack 0 end-1]
                set value_stack [lrange $value_stack 0 \
                                       [expr {[llength $state_stack] - 1}]]
                set state [lindex $state_stack end]
            }
            if {[llength $state_stack] == 0} {
 
	        set rr { }
                if {[info exists lr1_table($save_state,trans)] && [llength $lr1_table($save_state,trans)] >= 1} {
                    foreach trans $lr1_table($save_state,trans) {
                        foreach {tok_id nextstate} $trans {
			    set ss $token_id_table($tok_id,title)
			    if {$ss != {}} {
			        append rr "$ss, "
                            }
                        }
                    }
                }
		set rr [string trimleft $rr { }]
		set rr [string trimright $rr {, }]
                yyerror "parse error, expecting: $rr"


                return 1
            }
            lappend state_stack [set state $table($state:error,target)]
            lappend value_stack {}
            # consume tokens until it finds an acceptable one
            while {![info exists table($state:$token)]} {
                if {$token == 0} {
                    yyerror "end of file while recovering from error"
                    return 1
                }
                set yylval {}
                set token [yylex]
                set buflval $yylval
            }
            continue
        }
        switch -- $table($state:$token) {
            shift {
                lappend state_stack $table($state:$token,target)
                lappend value_stack $buflval
                set token ""
            }
            reduce {
                set rule $table($state:$token,target)
                set ll $rules($rule,l)
                if {[info exists rules($rule,e)]} {
                    set dc $rules($rule,e)
                } else {
                    set dc $rules($rule,dc)
                }
                set stackpointer [expr {[llength $state_stack]-$dc}]
                setupvalues $value_stack $stackpointer $dc
                set _ $1
                set yylval [lindex $value_stack end]
                switch -- $rule {
                    2 { global ds9; if {!$ds9(init)} {YYERROR} else {yyclearin; YYACCEPT} }
                    4 { PostScript }
                    5 { ProcessCmdSet ps dest $2 }
                    6 { ProcessCmdSet ps cmd $2 }
                    7 { ProcessCmdSet ps filename $2 }
                    8 { ProcessCmdSet ps color $2 }
                    9 { ProcessCmdSet ps level $2 }
                    10 { ProcessCmdSet ps resolution $2 }
                    12 { set _ printer }
                    13 { set _ file }
                    14 { set _ rgb }
                    15 { set _ cmyk }
                    16 { set _ gray }
                    17 { set _ 1 }
                    18 { set _ 2 }
                    19 { set _ 3 }
                    20 { set _ 72 }
                    21 { set _ Screen }
                    22 { set _ 96 }
                    23 { set _ 144 }
                    24 { set _ 150 }
                    25 { set _ 225 }
                    26 { set _ 300 }
                    27 { set _ 600 }
                    28 { set _ 1200 }
                }
                unsetupvalues $dc
                # pop off tokens from the stack if normal rule
                if {![info exists rules($rule,e)]} {
                    incr stackpointer -1
                    set state_stack [lrange $state_stack 0 $stackpointer]
                    set value_stack [lrange $value_stack 0 $stackpointer]
                }
                # now do the goto transition
                lappend state_stack $table([lindex $state_stack end]:$ll,target)
                lappend value_stack $_
            }
            accept {
                set accepted 1
            }
            goto -
            default {
                puts stderr "Internal parser error: illegal command $table($state:$token)"
                return 2
            }
        }
    }
    return 0
}

######
# end autogenerated taccle functions
######

proc ps::yyerror {msg} {
     variable yycnt
     variable yy_current_buffer
     variable index_

     ParserError $msg $yycnt $yy_current_buffer $index_
}
